## atmark-dist-20160927.tar.gz

=== Makefile ===
############################################################################
#
# Makefile -- Top level uClinux makefile.
#
# Copyright (c) 2001-2004, SnapGear (www.snapgear.com)
# Copyright (c) 2001, Lineo
#

VERSIONPKG = 3.2.0
VERSIONSTR = $(CONFIG_VENDOR)/$(CONFIG_PRODUCT) Version $(VERSIONPKG)

############################################################################
#
# Lets work out what the user wants, and if they have configured us yet
#

ifeq (.config,$(wildcard .config))
include .config

all: tools subdirs preromfs romfs modules modules_install image
else
all: config_error
endif

############################################################################
#
# Get the core stuff worked out
#

LINUXDIR = $(CONFIG_LINUXDIR)
LIBCDIR  = $(CONFIG_LIBCDIR)
ROOTDIR  = $(shell pwd)
PATH	 := $(PATH):$(ROOTDIR)/tools
HOSTCC   = cc
IMAGEDIR = $(ROOTDIR)/images
RELDIR   = $(ROOTDIR)/release
ROMFSDIR = $(ROOTDIR)/romfs
ROMFSINST= romfs-inst.sh
SCRIPTSDIR = $(ROOTDIR)/config/scripts
TFTPDIR    = /tftpboot


LINUX_CONFIG  = $(ROOTDIR)/$(LINUXDIR)/.config
CONFIG_CONFIG = $(ROOTDIR)/config/.config
MODULES_CONFIG = $(ROOTDIR)/modules/.config


CONFIG_SHELL := $(shell if [ -x "$$BASH" ]; then echo $$BASH; \
	  else if [ -x /bin/bash ]; then echo /bin/bash; \
	  else echo sh; fi ; fi)

ifeq (config.arch,$(wildcard config.arch))
include config.arch
ARCH_CONFIG = $(ROOTDIR)/config.arch
export ARCH_CONFIG
endif

ifneq ($(SUBARCH),)
# Using UML, so make the kernel and non-kernel with different ARCHs
MAKEARCH = $(MAKE) ARCH=$(SUBARCH) CROSS_COMPILE=$(CROSS_COMPILE)
MAKEARCH_KERNEL = $(MAKE) ARCH=$(ARCH) SUBARCH=$(SUBARCH) CROSS_COMPILE=$(CROSS_COMPILE)
else
MAKEARCH = $(MAKE) ARCH=$(ARCH) CROSS_COMPILE=$(CROSS_COMPILE)
MAKEARCH_KERNEL = $(MAKEARCH)
endif

VENDDIR = $(ROOTDIR)/vendors/$(CONFIG_VENDOR)/$(CONFIG_PRODUCT)/.
DIRS    = include lib include user fonts

export VENDOR PRODUCT ROOTDIR LINUXDIR HOSTCC CONFIG_SHELL
export CONFIG_CONFIG LINUX_CONFIG MODULES_CONFIG ROMFSDIR SCRIPTSDIR
export VERSIONPKG VERSIONSTR ROMFSINST PATH IMAGEDIR RELDIR RELFILES TFTPDIR

.PHONY: tools
tools: cksum

.PHONY: cksum
cksum: tools/cksum
tools/cksum: tools/sg-cksum/*.c
	$(MAKE) -C tools/sg-cksum
	ln -sf $(ROOTDIR)/tools/sg-cksum/cksum tools/cksum

############################################################################

#
# Config stuff,  we recall ourselves to load the new config.arch before
# running the kernel and other config scripts
#

.PHONY: config.tk config.in

config.in:
	@chmod u+x config/mkconfig
	config/mkconfig > config.in

config.tk: config.in
	$(MAKE) -C $(SCRIPTSDIR) tkparse
	ARCH=dummy $(SCRIPTSDIR)/tkparse < config.in > config.tmp
	@if [ -f /usr/local/bin/wish ];	then \
		echo '#!'"/usr/local/bin/wish -f" > config.tk; \
	else \
		echo '#!'"/usr/bin/wish -f" > config.tk; \
	fi
	cat $(SCRIPTSDIR)/header.tk >> ./config.tk
	cat config.tmp >> config.tk
	rm -f config.tmp
	echo "set defaults \"/dev/null\"" >> config.tk
	echo "set help_file \"config/Configure.help\"" >> config.tk
	cat $(SCRIPTSDIR)/tail.tk >> config.tk
	chmod 755 config.tk

.PHONY: xconfig
xconfig: config.tk
	@wish -f config.tk
	@if [ ! -f .config ]; then \
		echo; \
		echo "You have not saved your config, please re-run make config"; \
		echo; \
		exit 1; \
	 fi
	@chmod u+x config/setconfig
	@config/setconfig defaults
	@if egrep "^CONFIG_DEFAULTS_KERNEL=y" .config > /dev/null; then \
		$(MAKE) linux_xconfig; \
	 fi
	@if egrep "^CONFIG_DEFAULTS_MODULES=y" .config > /dev/null; then \
		$(MAKE) modules_xconfig; \
	 fi
	@if egrep "^CONFIG_DEFAULTS_VENDOR=y" .config > /dev/null; then \
		$(MAKE) config_xconfig; \
	 fi
	@config/setconfig final

.PHONY: config
config: config.in
	@HELP_FILE=config/Configure.help \
		$(CONFIG_SHELL) $(SCRIPTSDIR)/Configure config.in
	@chmod u+x config/setconfig
	@config/setconfig defaults
	@if egrep "^CONFIG_DEFAULTS_KERNEL=y" .config > /dev/null; then \
		$(MAKE) linux_config; \
	 fi
	@if egrep "^CONFIG_DEFAULTS_MODULES=y" .config > /dev/null; then \
		$(MAKE) modules_config; \
	 fi
	@if egrep "^CONFIG_DEFAULTS_VENDOR=y" .config > /dev/null; then \
		$(MAKE) config_config; \
	 fi
	@config/setconfig final

.PHONY: menuconfig
menuconfig: config.in
	$(MAKE) -C $(SCRIPTSDIR)/lxdialog all
	@HELP_FILE=config/Configure.help \
		$(CONFIG_SHELL) $(SCRIPTSDIR)/Menuconfig config.in
	@if [ ! -f .config ]; then \
		echo; \
		echo "You have not saved your config, please re-run make config"; \
		echo; \
		exit 1; \
	 fi
	@chmod u+x config/setconfig
	@config/setconfig defaults
	@if egrep "^CONFIG_DEFAULTS_KERNEL=y" .config > /dev/null; then \
		$(MAKE) linux_menuconfig; \
	 fi
	@if egrep "^CONFIG_DEFAULTS_MODULES=y" .config > /dev/null; then \
		$(MAKE) modules_menuconfig; \
	 fi
	@if egrep "^CONFIG_DEFAULTS_VENDOR=y" .config > /dev/null; then \
		$(MAKE) config_menuconfig; \
	 fi
	@config/setconfig final

.PHONY: oldconfig
oldconfig: config.in
	@HELP_FILE=config/Configure.help \
		$(CONFIG_SHELL) $(SCRIPTSDIR)/Configure -d config.in
	@chmod u+x config/setconfig
	@config/setconfig defaults
	@$(MAKE) oldconfig_linux
	@$(MAKE) oldconfig_modules
	@$(MAKE) oldconfig_config
	@$(MAKE) oldconfig_uClibc
	@config/setconfig final

.PHONY: modules
modules:
	. $(LINUXDIR)/.config; if [ "$$CONFIG_MODULES" = "y" ]; then \
		[ -d $(LINUXDIR)/modules ] || mkdir $(LINUXDIR)/modules; \
		$(MAKEARCH_KERNEL) -C $(LINUXDIR) modules; \
	fi

.PHONY: modules_install
modules_install:
	. $(LINUXDIR)/.config; if [ "$$CONFIG_MODULES" = "y" ]; then \
		[ -d $(ROMFSDIR)/lib/modules ] || mkdir -p $(ROMFSDIR)/lib/modules; \
		$(MAKEARCH_KERNEL) -C $(LINUXDIR) INSTALL_MOD_PATH=$(ROMFSDIR) modules_install; \
		rm -f $(ROMFSDIR)/lib/modules/*/build; \
		rm -f $(ROMFSDIR)/lib/modules/*/source; \
		find $(ROMFSDIR)/lib/modules -type f -name "*o" | xargs -r $(STRIP) -g; \
	fi

linux_xconfig:
	$(MAKEARCH_KERNEL) -C $(LINUXDIR) xconfig || $(MAKEARCH_KERNEL) -C $(LINUXDIR) gconfig
linux_menuconfig:
	$(MAKEARCH_KERNEL) -C $(LINUXDIR) menuconfig
linux_config:
	$(MAKEARCH_KERNEL) -C $(LINUXDIR) config
modules_xconfig:
	[ ! -d modules ] || $(MAKEARCH) -C modules xconfig
modules_menuconfig:
	[ ! -d modules ] || $(MAKEARCH) -C modules menuconfig
modules_config:
	[ ! -d modules ] || $(MAKEARCH) -C modules config
modules_clean:
	-[ ! -d modules ] || $(MAKEARCH) -C modules clean
config_xconfig:
	$(MAKEARCH) MAKE_CONFIG_STYLE=xconfig -C config xconfig
config_menuconfig:
	$(MAKEARCH) MAKE_CONFIG_STYLE=menuconfig -C config menuconfig
config_config:
	$(MAKEARCH) MAKE_CONFIG_STYLE=config -C config config
oldconfig_config:
	$(MAKEARCH) MAKE_CONFIG_STYLE=oldconfig -C config oldconfig
oldconfig_modules:
	[ ! -d modules ] || $(MAKEARCH) -C modules oldconfig
oldconfig_linux:
	$(MAKEARCH_KERNEL) -C $(LINUXDIR) oldconfig
oldconfig_uClibc:
	[ -z "$(findstring uClibc,$(LIBCDIR))" ] || $(MAKEARCH) -C $(LIBCDIR) oldconfig

############################################################################
#
# normal make targets
#

user_config_export = for config in $(shell cat $(CONFIG_CONFIG) | grep -v "\#"); do export $$config; done

romfs_auto_libinstall = \
	@. $(CONFIG_CONFIG); \
	if [ "$$CONFIG_VENDOR_AUTO_LIBINSTALLER" = "y" ]; then \
		if [ -e $(ROOTDIR)/vendors/$(CONFIG_VENDOR)/Common/tools/lib-inst.sh ] ; then \
			$(SHELL) $(ROOTDIR)/vendors/$(CONFIG_VENDOR)/Common/tools/lib-inst.sh ; \
		fi \
	fi

romfs_auto_strip = \
	@. $(CONFIG_CONFIG); \
	if [ "$$CONFIG_VENDOR_AUTO_STRIPPER" = "y" ]; then \
		if [ -e $(ROOTDIR)/vendors/$(CONFIG_VENDOR)/Common/tools/auto-strip.sh ] ; then \
			$(SHELL) $(ROOTDIR)/vendors/$(CONFIG_VENDOR)/Common/tools/auto-strip.sh ; \
		fi \
	fi

preromfs:
	-rm -rf $(ROMFSDIR)

.PHONY: romfs
romfs:
	$(MAKEARCH) -C $(VENDDIR) romfs
	for dir in $(DIRS) ; do [ ! -d $$dir ] || $(MAKEARCH) -C $$dir romfs || exit 1 ; done
	-find $(ROMFSDIR)/. -name CVS | xargs -r rm -rf

ifeq ($(LIBCDIR),)
	$(call romfs_auto_libinstall)
endif
	$(call romfs_auto_strip)

.PHONY: image
image:
	[ -d $(IMAGEDIR) ] || mkdir $(IMAGEDIR)
	$(MAKEARCH) -C $(VENDDIR) image

.PHONY: netflash
netflash netflash_only:
	make -C prop/mstools CONFIG_PROP_MSTOOLS_NETFLASH_NETFLASH=y

.PHONY: release
release:
	make -C release release

%_fullrelease:
	@echo "This target no longer works"
	@echo "Do a make -C release $@"
	exit 1
#
# fancy target that allows a vendor to have other top level
# make targets,  for example "make vendor_flash" will run the
# "flash" target in the vendors directory
#

vendor_%:
	$(MAKEARCH) -C $(VENDDIR) $(@:vendor_%=%)

.PHONY: linux
linux:
	@if [ $(LINUXDIR) != linux-2.5.x -a $(LINUXDIR) != linux-2.6.x -a \
		$(LINUXDIR) != linux-3.x -a ! -f $(LINUXDIR)/.depend ] ; then \
		echo "ERROR: you need to do a 'make dep' first" ; \
		exit 1 ; \
	fi
	$(MAKEARCH_KERNEL) -C $(LINUXDIR) $(LINUXTARGET) || exit 1
	if [ -f $(LINUXDIR)/vmlinux ]; then \
		ln -f $(LINUXDIR)/vmlinux $(LINUXDIR)/linux ; \
	fi
linux%_only:
	@if [ $(LINUXDIR) != linux-2.5.x -a $(LINUXDIR) != linux-2.6.x -a \
		$(LINUXDIR) != linux-3.x -a ! -f $(LINUXDIR)/.depend ] ; then \
		echo "ERROR: you need to do a 'make dep' first" ; \
		exit 1 ; \
	fi
	$(MAKEARCH_KERNEL) -C $(LINUXDIR) $(LINUXTARGET) || exit 1
	if [ -f $(LINUXDIR)/vmlinux ]; then \
		ln -f $(LINUXDIR)/vmlinux $(LINUXDIR)/linux ; \
	fi

.PHONY: subdirs
subdirs: linux
	for dir in $(DIRS) ; do [ ! -d $$dir ] || $(MAKEARCH_KERNEL) -C $$dir || exit 1 ; done
	$(MAKEARCH_KERNEL) -C $(VENDDIR)

dep:
	@if [ ! -f $(LINUXDIR)/.config ] ; then \
		echo "ERROR: you need to do a 'make config' first" ; \
		exit 1 ; \
	fi
	$(MAKEARCH_KERNEL) -C $(LINUXDIR) dep

# This one removes all executables from the tree and forces their relinking
.PHONY: relink
relink:
	find user -name '*.gdb' | sed 's/^\(.*\)\.gdb/\1 \1.gdb/' | xargs rm -f
	find prop -name '*.gdb' | sed 's/^\(.*\)\.gdb/\1 \1.gdb/' | xargs rm -f
	find $(VENDDIR) -name '*.gdb' | sed 's/^\(.*\)\.gdb/\1 \1.gdb/' | xargs rm -f

clean: modules_clean
	[ -z "$(CONFIG_VENDOR)" -o -z "$(CONFIG_PRODUCT)" ] || $(MAKEARCH) -C $(VENDDIR) clean
	for dir in $(DIRS) $(LINUXDIR); do [ ! -d $$dir ] || $(MAKEARCH) -C $$dir clean ; done
	rm -rf $(ROMFSDIR)/*
	rm -f $(IMAGEDIR)/*
	rm -f config.tk
	[ -z "$(LINUXDIR)" ] || rm -f $(LINUXDIR)/linux
	[ -z "$(LINUXDIR)" ] || rm -rf $(LINUXDIR)/net/ipsec/alg/libaes $(LINUXDIR)/net/ipsec/alg/perlasm

real_clean mrproper: clean
	-[ -z "$(LINUXDIR)" ] || $(MAKEARCH_KERNEL) -C $(LINUXDIR) mrproper
	-$(MAKEARCH) -C config clean
	-$(MAKEARCH) -C uClibc distclean
	-[ ! -e "$(RELDIR)/Makefile" ] || $(MAKEARCH) -C $(RELDIR) clean
	rm -rf romfs config.in config.arch config.tk images
	rm -f modules/config.tk
	rm -rf .config .config.old .oldconfig autoconf.h

extra_distclean:
	-$(MAKEARCH) -C lib distclean
	-$(MAKEARCH) -C user distclean
	[ -z "$(CONFIG_VENDOR)" -o -z "$(CONFIG_PRODUCT)" ] || $(MAKEARCH) -C $(VENDDIR) distclean

distclean: extra_distclean mrproper
	[ -z "$(LINUXDIR)" ] || $(MAKEARCH_KERNEL) -C $(LINUXDIR) distclean
	-$(MAKE) -C tools/sg-cksum clean
	-rm -f tools/cksum

%_only:
	@ $(call user_config_export); \
	[ ! -d "$(@:_only=)" ] || $(MAKEARCH) -C $(@:_only=)

%_romfs:
	@ $(call user_config_export); \
	$(MAKEARCH) -C $(VENDDIR) romfs; \
	[ ! -d "$(@:_romfs=)" ] || $(MAKEARCH) -C $(@:_romfs=) romfs
ifeq ($(LIBCDIR),)
	$(call romfs_auto_libinstall)
endif
	$(call romfs_auto_strip)

%_clean:
	[ ! -d "$(@:_clean=)" ] || $(MAKEARCH) -C $(@:_clean=) clean

config_error:
	@echo "*************************************************"
	@echo "You have not run make config."
	@echo "The build sequence for this source tree is:"
	@echo "1. 'make config' or 'make xconfig'"
	@echo "2. 'make dep'"
	@echo "3. 'make'"
	@echo "*************************************************"
	@exit 1

prune:
	$(MAKE) -C user prune

dist-prep:
	-find $(ROOTDIR) -name 'Makefile*.bin' | while read t; do \
		$(MAKEARCH) -C `dirname $$t` -f `basename $$t` $@; \
	 done

############################################################################

=== config/Makefile ===
############################################################################

all:

clean:
	$(MAKE) -C scripts clean
	$(MAKE) -C scripts/lxdialog clean
	rm -f config.tk autoconf.h .config .config.old
	rm -f vendor_config.in

############################################################################
#
# The config stuff
#

config.tk: Makefile config.in $(SCRIPTSDIR)/header.tk $(SCRIPTSDIR)/tail.tk \
		$(wildcard $(ROOTDIR)/prop/config.in)
	$(MAKE) -C $(SCRIPTSDIR) tkparse
	ARCH=m68knommu $(SCRIPTSDIR)/tkparse < config.in > config.tmp
	@if [ -f /usr/local/bin/wish ];	then \
		echo '#!'"/usr/local/bin/wish -f" > config.tk; \
	else \
		echo '#!'"/usr/bin/wish -f" > config.tk; \
	fi
	cat $(SCRIPTSDIR)/header.tk >> ./config.tk
	cat config.tmp >> config.tk
	rm -f config.tmp
	echo "set defaults \"defconfig\"" >> config.tk
	echo "set autoconf_file \"autoconf.h\"" >> config.tk
	echo "set help_file \"Configure.help\"" >> config.tk
	cat $(SCRIPTSDIR)/tail.tk >> config.tk
	chmod 755 config.tk

xconfig: config.tk
	@$(CONFIG_SHELL) -n config.in
	wish -f config.tk

oldconfig:
	@$(CONFIG_SHELL) -n config.in

	@. $(ROOTDIR)/$(LINUXDIR)/.config; \
		CONFIG_UCLINUX="$$CONFIG_UCLINUX" \
		HELP_FILE=Configure.help \
		AUTOCONF_FILE=autoconf.h \
		$(CONFIG_SHELL) $(SCRIPTSDIR)/Configure -d config.in

config:
	@$(CONFIG_SHELL) -n config.in

	@. $(ROOTDIR)/$(LINUXDIR)/.config; \
		CONFIG_UCLINUX="$$CONFIG_UCLINUX" \
		HELP_FILE=Configure.help \
		AUTOCONF_FILE=autoconf.h \
		$(CONFIG_SHELL) $(SCRIPTSDIR)/Configure config.in

menuconfig:
	@$(CONFIG_SHELL) -n config.in
	$(MAKE) -C $(SCRIPTSDIR)/lxdialog all

	@. $(ROOTDIR)/$(LINUXDIR)/.config; \
		CONFIG_UCLINUX="$$CONFIG_UCLINUX" \
		HELP_FILE=Configure.help \
		AUTOCONF_FILE=autoconf.h \
		MENU_TITLE="Userland Configuration"\
		$(CONFIG_SHELL) $(SCRIPTSDIR)/Menuconfig config.in

############################################################################

=== fonts/Makefile ===
#
#	Makefile -- Build instructions for Fonts
#

-include $(CONFIG_CONFIG)

fontdir_y =
fontdir_$(CONFIG_FONTS_TAKAO) += truetype/fonts-takao
fontdir_$(CONFIG_FONTS_VL) += truetype/vlgothic

all clean:
# nothing to do here

romfs:
	for i in $(sort $(fontdir_y)); do \
		[ ! -d $$i ] || make -C $$i romfs || exit $$?; \
	done

=== include/Makefile ===
#
# build a smart "symlink" header tree so the compile lines are
# much shorter and the problems with include paths are much smaller
#
# David McCullough <davidm@snapgear.com>
#

#
# we need the c++ includes as well
#
#
CPP_DIR   := $(shell echo -e '\#include <new>' > test.cc ; $(CXX) -E -c test.cc | sed -e 's?^\#.*"\(.*\)/new".*$$?\1?p' -e 'd' | head -1; rm -f test.cc )

#
# hopefully deal with broken compilers
#
ifeq ($(CPP_DIR),)
CPP_DIR = /usr/local/include/g++-v3
endif

#
# glibc contains lots of nasty headers in a bad location,  so we need
# to cheat a little here
#

ifeq ($(findstring glibc,$(LIBCDIR)),glibc)
LIBCINC := $(LIBCDIR)/build
else
LIBCINC := $(LIBCDIR)
endif

ifneq ($(wildcard $(ROOTDIR)/$(LINUXDIR)/include/generated/autoconf.h),)
GENERATEDAUTOCONF = $(ROOTDIR)/$(LINUXDIR)/include/generated/autoconf.h
else
GENERATEDAUTOCONF =
endif

LINKHDRS = \
	$(ROOTDIR)/lib/STLport/stlport/*,STLport \
	$(ROOTDIR)/lib/$(LIBCINC)/include/*,. \
	$(ROOTDIR)/lib/$(LIBCINC)/include/machine,. \
	$(ROOTDIR)/lib/libgmp/gmp.h,. \
	$(ROOTDIR)/lib/libgmp/mp.h,. \
	$(ROOTDIR)/lib/libgmp/gmp-impl.h,. \
	$(ROOTDIR)/lib/libgmp/longlong.h,. \
	$(ROOTDIR)/lib/libgmp/urandom.h,. \
	$(ROOTDIR)/lib/libm/*.h,. \
	$(ROOTDIR)/lib/libnet/*.h,. \
	$(ROOTDIR)/freeswan/libdes/*.h,. \
	$(ROOTDIR)/freeswan/libcrypto/libaes/*.h,. \
	$(ROOTDIR)/lib/libpcap/*.h,. \
	$(ROOTDIR)/lib/libpcap/net/bpf.h,net \
	$(ROOTDIR)/lib/libssl/include/*,. \
	$(ROOTDIR)/lib/zlib/*.h,. \
	$(ROOTDIR)/prop/libsnapgear/include/*.h,. \
	$(ROOTDIR)/prop/uberconfig/include/*.h,. \
	$(ROOTDIR)/prop/libsnapgear++/include/*,. \
	$(ROOTDIR)/lib/libcrypt_old/*.h,. \
	$(ROOTDIR)/lib/libldap/include/*,. \
	$(ROOTDIR)/lib/libldap/builddir/include/*,. \
	$(ROOTDIR)/lib/libupnp/upnp/inc/upnp,. \
	$(ROOTDIR)/lib/libatm/src/include/atm*.h,. \
	$(ROOTDIR)/lib/flex/build/FlexLexer.h,. \
	$(ROOTDIR)/$(LINUXDIR)/include/linux/*,linux \
	$(GENERATEDAUTOCONF),linux \
	$(ROOTDIR)/$(LINUXDIR)/include/asm-*,. \
	$(ROOTDIR)/$(LINUXDIR)/include/asm,. \
	$(ROOTDIR)/$(LINUXDIR)/include/mtd,. \
	$(ROOTDIR)/config,. \
	$(CPP_DIR)/new,c++ \
	$(CPP_DIR)/exception,c++ \
	$(CPP_DIR)/cstddef,c++ \
	$(CPP_DIR)/typeinfo,c++ \
	$(CPP_DIR)/bits/std_cstddef.h,c++/bits \
	$(ROOTDIR)/lib/expat/lib/expat.h,. \
	$(ROOTDIR)/user/tinytcl/*.h,. \
	$(ROOTDIR)/prop/config/config*.h,. \
	$(ROOTDIR)/prop/config/if_*.h,. \
	$(ROOTDIR)/prop/config/libconfig.h,. \
	$(ROOTDIR)/prop/config/mcapi.h,. \
	$(ROOTDIR)/prop/setkey/key.h,key \
	$(ROOTDIR)/prop/config/meta*.h,. \
	$(ROOTDIR)/prop/uberconfig/include/*.h,. \
	$(ROOTDIR)/prop/gccmapping/ValidateUpdate.h,. \
	$(ROOTDIR)/modules/autoconf.h,modules \
	$(ROOTDIR)/prop/smgrd/unixware/cmd/sscep/sscep_error_codes.h,.

.PHONY: all romfs clean


#
# link in the files,  avoid missing or CVS files,  existing files take
# precedance so we do not try to overwrite them
#

all: clean
	@echo "Making symlinks in include/"
	@for p in $(LINKHDRS); do \
		src=`expr "$$p" : '\(.*\),.*'` ; \
		dst=`expr "$$p" : '.*,\(.*\)'` ; \
		for i in $$src; do \
			[ ! -e "$$i" ] && continue; \
			[ "`basename $$i`" = CVS ] && continue; \
			[ -L "$$dst/`basename $$i`" ] && continue; \
			[ -d $$dst ] || mkdir $$dst; \
			ln -s $$i $$dst/.; \
		done ; \
	done

romfs:

clean:
	-find . -depth -type l -a ! -name Makefile | xargs rm > /dev/null 2>&1 || exit 0
	-find . -depth -type d | xargs rmdir > /dev/null 2>&1 || exit 0

=== lib/Makefile ===
##############################################################################
#
#	Makefile -- Master makefile for all libraries.
#

.EXPORT_ALL_VARIABLES:

##############################################################################
#
# Include architecture specific build rules.
#

ifndef ROOTDIR
ROOTDIR=..
endif

UCLINUX_BUILD_LIB=1
-include $(LINUX_CONFIG)
-include $(CONFIG_CONFIG)
-include $(ARCH_CONFIG)

##############################################################################
#
# always build these dir_
#
dir_y  = ../include $(LIBCDIR) ../include
dir_n  =
dir_   =
dir_d  =

ifeq ($(LIBCDIR),libc)
dir_y += libm
endif

#
# and build these if someone needs them
#
dir_$(CONFIG_LIB_LIBNET_FORCE) += libnet
dir_$(CONFIG_LIB_FLEX)         += flex
dir_$(CONFIG_LIB_FLEX_FORCE)   += flex
dir_$(CONFIG_LIB_LIBAES)       += libaes
dir_$(CONFIG_LIB_LIBAES_FORCE) += libaes
dir_$(CONFIG_LIB_LIBDES)       += libdes
dir_$(CONFIG_LIB_LIBDES_FORCE) += libdes
dir_$(CONFIG_LIB_LIBSSL)       += libssl
dir_$(CONFIG_LIB_LIBSSL_FORCE) += libssl
dir_$(CONFIG_LIB_LIBGMP)       += libgmp
dir_$(CONFIG_LIB_LIBGMP_FORCE) += libgmp
dir_$(CONFIG_LIB_LIBG)         += libg
dir_$(CONFIG_LIB_LIBG_FORCE)   += libg
dir_$(CONFIG_LIB_LIBPAM)       += libpam
dir_$(CONFIG_LIB_LIBPAM_FORCE) += libpam
dir_$(CONFIG_LIB_LIBPCAP)      += libpcap
dir_$(CONFIG_LIB_LIBPCAP_FORCE)+= libpcap
dir_$(CONFIG_LIB_ZLIB)         += zlib
dir_$(CONFIG_LIB_ZLIB_FORCE)   += zlib
dir_$(CONFIG_LIB_LIBATM)       += libatm
dir_$(CONFIG_LIB_LIBATM_FORCE) += libatm
dir_$(CONFIG_LIB_LIBPNG)       += libpng
dir_$(CONFIG_LIB_LIBPNG_FORCE) += libpng
dir_$(CONFIG_LIB_LIBJPEG)      += libjpeg
dir_$(CONFIG_LIB_LIBJPEG_FORCE)+= libjpeg
dir_$(CONFIG_LIB_LIBSYSFS2)    += libsysfs2
dir_$(CONFIG_LIB_LIBSYSFS2_FORCE) += libsysfs2
dir_$(CONFIG_LIB_LIBUPNP)      += libupnp
dir_$(CONFIG_LIB_LIBUPNP_FORCE)+= libupnp
dir_$(CONFIG_LIB_STLPORT)      += STLport
dir_$(CONFIG_LIB_STLPORT_FORCE)+= STLport
dir_$(CONFIG_LIB_EXPAT)        += expat
dir_$(CONFIG_LIB_EXPAT_FORCE)  += expat
dir_$(CONFIG_LIB_LIBLDAP)      += libldap
dir_$(CONFIG_LIB_LIBLDAP_FORCE)+= libldap
dir_$(CONFIG_LIB_TINYTCL)      += ../user/tinytcl
dir_$(CONFIG_LIB_LIBCCMALLOC)  += libccmalloc
dir_$(CONFIG_LIB_ADNS_FORCE)   += adns
dir_$(CONFIG_LIB_LIBCRYPT_OLD) += libcrypt_old
dir_$(CONFIG_LIB_LIBCRYPT_OLD_FORCE) += libcrypt_old
dir_$(CONFIG_LIB_NSS_MDNS_NSS_MDNS)  += nss-mdns

# And build libraries in the prop directory last
dir_y += $(ROOTDIR)/prop

dir_d += libsysfs2

distcleanable = $(foreach e,$(sort $(dir_d)),$(findstring $(e),$(dir_y) $(dir_n) $(dir_)))

##############################################################################

all:
	@if [ "$(CONFIG_LIBCDIR)" = "uClibc" ]; then \
		ln -fs ../uClibc; \
	fi
	for i in $(dir_y) ; do \
		[ ! -d $$i ] || make -C $$i || exit $$? ; \
		$(MAKE) make_links || exit $? ; \
	done

##############################################################################

romfs:
	for i in $(dir_y) ; do \
		[ ! -d $$i ] || make -C $$i romfs || exit $$? ; \
	done

##############################################################################

clean: clean_links
	-for i in $(dir_y) $(dir_n) $(dir_); do \
		[ ! -d $$i ] || make -C $$i clean ; \
	done
	@rm -f *.a
	@rm -f uClibc

##############################################################################

distclean:
	-for i in $(call distcleanable,$(dir_y) $(dir_n) $(dir_)) ; do \
		[ ! -d $$i ] || make -C $$i distclean; \
	done

##############################################################################
#
# The libs we link into this directory
#
#
LINKLIBS=\
	$(ROOTDIR)/lib/$(LIBCDIR)/build/lib/crt*.o \
	$(ROOTDIR)/lib/$(LIBCDIR)/build/lib/*.gdb \
	$(ROOTDIR)/lib/$(LIBCDIR)/build/lib/*.so* \
	$(ROOTDIR)/lib/$(LIBCDIR)/build/lib/*.a \
	$(ROOTDIR)/lib/$(LIBCDIR)/build/crt*.o \
	$(ROOTDIR)/lib/$(LIBCDIR)/build/*.gdb \
	$(ROOTDIR)/lib/$(LIBCDIR)/build/*.so* \
	$(ROOTDIR)/lib/$(LIBCDIR)/build/*.a \
	$(ROOTDIR)/lib/$(LIBCDIR)/lib/crt*.o \
	$(ROOTDIR)/lib/$(LIBCDIR)/lib/*.gdb \
	$(ROOTDIR)/lib/$(LIBCDIR)/lib/*.so* \
	$(ROOTDIR)/lib/$(LIBCDIR)/lib/*.a \
	$(ROOTDIR)/lib/$(LIBCDIR)/crt*.o \
	$(ROOTDIR)/lib/$(LIBCDIR)/*.gdb \
	$(ROOTDIR)/lib/$(LIBCDIR)/*.so* \
	$(ROOTDIR)/lib/$(LIBCDIR)/*.a \
	$(ROOTDIR)/lib/libm/*.a \
	$(ROOTDIR)/lib/libnet/*.a \
	$(ROOTDIR)/lib/libdes/*.a \
	$(ROOTDIR)/lib/libaes/*.a \
	$(ROOTDIR)/lib/libpcap/*.a \
	$(ROOTDIR)/lib/libssl/*.so* $(ROOTDIR)/lib/libssl/*.a \
	$(ROOTDIR)/lib/zlib/libz.a \
	$(ROOTDIR)/lib/libatm/src/lib/*.so* $(ROOTDIR)/lib/libatm/src/lib/*.a \
	$(ROOTDIR)/lib/libcrypt_old/libcrypt_old.a \
	$(ROOTDIR)/lib/libldap/builddir/libraries/libldap/.libs/*.a \
	$(ROOTDIR)/lib/libldap/builddir/libraries/liblber/.libs/*.a \
	$(ROOTDIR)/prop/libsnapgear++/*.a $(ROOTDIR)/prop/libsnapgear++/*.so* \
	$(ROOTDIR)/prop/libsnapgear/*.a $(ROOTDIR)/prop/libsnapgear/*.so* \
	$(ROOTDIR)/user/tinytcl/*.a $(ROOTDIR)/user/tinytcl/*.so* \
	$(ROOTDIR)/prop/config/*.a $(ROOTDIR)/prop/config/*.so* \
	$(ROOTDIR)/prop/uberconfig/*.a $(ROOTDIR)/prop/uberconfig/*.so* \
	$(ROOTDIR)/prop/gccmapping/*.a $(ROOTDIR)/prop/gccmapping/*.so* \
	$(ROOTDIR)/lib/expat/*.a $(ROOTDIR)/lib/expat/*.so* \
	$(ROOTDIR)/lib/libupnp/upnp/bin/*.so* $(ROOTDIR)/lib/adns/src/libadns.a

##############################################################################

make_links: clean_links
	@echo "Making symlinks in lib/"
	@for p in $(LINKLIBS); do \
		for i in $$p; do \
			[ ! -e "$$i" ] && continue; \
			[ "`basename $$i`" = CVS ] && continue; \
			[ -L "./`basename $$i`" ] && continue; \
			ln -s $$i .; \
		done ; \
	done

clean_links:
	@-for i in *; do \
		[ "$$i" = "Makefile" ] && continue; \
		[ -L "$$i" ] || continue ; \
		case "`file -L $$i`" in \
		*directory*) ;; \
		*) rm -f $$i ;; \
		esac ; \
	done

##############################################################################

=== user/Makefile ===
#
#	Makefile -- Build instructions for user level apps
#

.EXPORT_ALL_VARIABLES:
.PHONY: config all romfs clean prune

#
# Include architecture specific build rules.
#

ifndef ROOTDIR
ROOTDIR=..
endif

UCLINUX_BUILD_USER=1
-include $(LINUX_CONFIG)
-include $(CONFIG_CONFIG)
-include $(ARCH_CONFIG)
-include $(MODULES_CONFIG)

dir_p = $(ROOTDIR)/prop

dir_y =
dir_n =
dir_  =
dir_d = 

dir_$(CONFIG_USER_A500FXDEMO_A500FXDEMO)    += a500fx-demo
dir_$(CONFIG_USER_AGETTY_AGETTY)            += agetty
dir_$(CONFIG_USER_ALSAUTILS)                += alsa-utils
dir_$(CONFIG_USER_APPWEB_APPWEB)            += appWeb
dir_$(CONFIG_USER_ARMSD)                    += armsd
dir_$(CONFIG_USER_AT_AT)                    += at
dir_$(CONFIG_USER_AT_ATD)                   += at
dir_$(CONFIG_USER_AT_ATRUN)                 += at
dir_$(CONFIG_USER_AT_CGI)                   += at-cgi
dir_$(CONFIG_USER_AVAHI_AVAHI)              += avahi
dir_$(CONFIG_USER_BASH_BASH)                += bash
dir_$(CONFIG_USER_BOA_SRC_BOA)              += boa
dir_$(CONFIG_USER_BOOTTOOLS_FLASHLOADER)    += boottools
dir_$(CONFIG_USER_BOOTTOOLS_HIMEMLOADER)    += boottools
dir_$(CONFIG_USER_BPALOGIN_BPALOGIN)        += bpalogin
dir_$(CONFIG_USER_BPLAY_BPLAY)              += bplay
dir_$(CONFIG_USER_BR2684CTL_BR2684CTL)      += br2684ctl
dir_$(CONFIG_USER_BRCFG_BRCFG)              += brcfg
dir_$(CONFIG_USER_BRCTL_BRCTL)              += bridge-utils
dir_$(CONFIG_USER_BUSYBOX_BUSYBOX)          += busybox
dir_$(CONFIG_USER_CAL_CAL)                  += cal
dir_$(CONFIG_USER_CAL_DATE)                 += cal
dir_$(CONFIG_USER_CAMCTRL)                  += camctrl
dir_$(CONFIG_USER_CAMSERV)                  += camserv
dir_$(CONFIG_USER_CAN_HORCH)                += horch
dir_$(CONFIG_USER_CANUTILS_CANUTILS)        += can-utils
dir_$(CONFIG_USER_CGI_GENERIC)              += cgi_generic
dir_$(CONFIG_USER_CGIHTML)                  += cgihtml/examples
dir_$(CONFIG_USER_CHAT_CHAT)                += pppd/chat
dir_$(CONFIG_USER_CKSUM_CKSUM)              += cksum
dir_$(CONFIG_USER_CLOCK_CLOCK)              += clock
dir_$(CONFIG_USER_CPU_CPU)                  += cpu
dir_$(CONFIG_USER_CRAMFS_MKCRAMFS)          += cramfs
dir_$(CONFIG_USER_CRAMFS_CRAMFSCK)          += cramfs
dir_$(CONFIG_USER_CRON_CRON)                += cron
dir_$(CONFIG_USER_CURL_CURL)                += curl
dir_$(CONFIG_USER_CXXTEST_CXXTEST)          += cxxtest
dir_$(CONFIG_USER_DE2TSCAL_DE2TSCAL)        += de2ts-cal
dir_$(CONFIG_USER_DEMO_BUTTON)              += demo
dir_$(CONFIG_USER_DEMO_MORSE)               += demo
dir_$(CONFIG_USER_DHRYSTONE_DHRYSTONE)      += dhrystone
dir_$(CONFIG_USER_DHCP_ISC_SERVER_DHCPD)    += dhcp-isc
dir_$(CONFIG_USER_DHCP_ISC_CLIENT_DHCLIENT) += dhcp-isc
dir_$(CONFIG_USER_DHCP_ISC_RELAY_DHCRELAY)  += dhcp-isc
dir_$(CONFIG_USER_DHCPCD_DHCPCD)            += dhcpcd
dir_$(CONFIG_USER_DHCPCD_NEW_DHCPCD)        += dhcpcd-new
dir_$(CONFIG_USER_DHCPD_DHCPD)              += dhcpd
dir_$(CONFIG_USER_DIALD_DIALD)              += diald
dir_$(CONFIG_USER_DISCARD_DISCARD)          += discard
dir_$(CONFIG_USER_DISCARD_ECHO)             += discard
dir_$(CONFIG_USER_DISCOVERD_DISCOVERD)      += discoverd
dir_$(CONFIG_USER_DNSMASQ_DNSMASQ)          += dnsmasq
dir_$(CONFIG_USER_DOSFSTOOLS_DOSFSCK_DOSFSCK) += dosfstools
dir_$(CONFIG_USER_DOSFSTOOLS_MKDOSFS_MKDOSFS) += dosfstools
dir_$(CONFIG_USER_E2FSPROGS_E2FSCK_E2FSCK)  += e2fsprogs
dir_$(CONFIG_USER_E2FSPROGS_MISC_BADBLOCKS) += e2fsprogs
dir_$(CONFIG_USER_E2FSPROGS_MISC_CHATTR)    += e2fsprogs
dir_$(CONFIG_USER_E2FSPROGS_MISC_DUMPE2FS)  += e2fsprogs
dir_$(CONFIG_USER_E2FSPROGS_MISC_E2LABEL)   += e2fsprogs
dir_$(CONFIG_USER_E2FSPROGS_MISC_FSCK)      += e2fsprogs
dir_$(CONFIG_USER_E2FSPROGS_MISC_LSATTR)    += e2fsprogs
dir_$(CONFIG_USER_E2FSPROGS_MISC_MKE2FS)    += e2fsprogs
dir_$(CONFIG_USER_E2FSPROGS_MISC_MKLOST_FOUND) += e2fsprogs
dir_$(CONFIG_USER_E2FSPROGS_MISC_TUNE2FS)   += e2fsprogs
dir_$(CONFIG_USER_E2FSPROGS_MISC_UUIDGEN)   += e2fsprogs
dir_$(CONFIG_USER_ELVISTINY_VI)             += elvis-tiny
dir_$(CONFIG_USER_ETHATTACH_ETHATTACH)      += ethattach
dir_$(CONFIG_USER_ETHTOOL_ETHTOOL)          += ethtool
dir_$(CONFIG_USER_EVTEST_EVTEST)            += evtest
dir_$(CONFIG_USER_EXPAT_EXAMPLES)           += expat-examples
dir_$(CONFIG_USER_EXPECT_EXPECT)            += expect
dir_$(CONFIG_USER_EZIPUPDATE_EZIPUPDATE)    += ez-ipupdate
dir_$(CONFIG_USER_FAKEIDENTD_IDENTD)        += fakeidentd
dir_$(CONFIG_USER_FBGRAB_FBGRAB)            += fbgrab
dir_$(CONFIG_USER_FDISK_FDISK)              += fdisk
dir_$(CONFIG_USER_FDISK_SFDISK)             += fdisk
dir_$(CONFIG_USER_FILEUTILS_CAT)            += fileutils
dir_$(CONFIG_USER_FILEUTILS_CHGRP)          += fileutils
dir_$(CONFIG_USER_FILEUTILS_CHMOD)          += fileutils
dir_$(CONFIG_USER_FILEUTILS_CHOWN)          += fileutils
dir_$(CONFIG_USER_FILEUTILS_CMP)            += fileutils
dir_$(CONFIG_USER_FILEUTILS_CP)             += fileutils
dir_$(CONFIG_USER_FILEUTILS_DD)             += fileutils
dir_$(CONFIG_USER_FILEUTILS_GREP)           += fileutils
dir_$(CONFIG_USER_FILEUTILS_L)              += fileutils
dir_$(CONFIG_USER_FILEUTILS_LN)             += fileutils
dir_$(CONFIG_USER_FILEUTILS_LS)             += fileutils
dir_$(CONFIG_USER_FILEUTILS_MKDIR)          += fileutils
dir_$(CONFIG_USER_FILEUTILS_MKFIFO)         += fileutils
dir_$(CONFIG_USER_FILEUTILS_MKNOD)          += fileutils
dir_$(CONFIG_USER_FILEUTILS_MORE)           += fileutils
dir_$(CONFIG_USER_FILEUTILS_MV)             += fileutils
dir_$(CONFIG_USER_FILEUTILS_RM)             += fileutils
dir_$(CONFIG_USER_FILEUTILS_RMDIR)          += fileutils
dir_$(CONFIG_USER_FILEUTILS_SYNC)           += fileutils
dir_$(CONFIG_USER_FILEUTILS_TOUCH)          += fileutils
dir_$(CONFIG_USER_FNORD_HTTPD)              += fnord
dir_$(CONFIG_USER_FLASHW_FLASHW)            += flashw
ifndef CONFIG_USER_FLATFSD_FLATFSD_OLD
dir_$(CONFIG_USER_FLATFSD_FLATFSD)          += flatfsd
else
dir_$(CONFIG_USER_FLATFSD_FLATFSD_OLD)      += flatfsd_old
endif
dir_$(CONFIG_USER_FREESWAN)                 += freeswan
dir_$(CONFIG_USER_FROB_LED_FROB_LED)        += frob-led
dir_$(CONFIG_USER_FSWCERT_FSWCERT)          += fswcert
dir_$(CONFIG_USER_FTP_FTP_FTP)              += ftp
dir_$(CONFIG_USER_FTPD_FTPD)                += ftpd
dir_$(CONFIG_USER_GDBSERVER_GDBREPLAY)      += gdbserver
dir_$(CONFIG_USER_GDBSERVER_GDBSERVER)      += gdbserver
dir_$(CONFIG_USER_GETTYD_GETTYD)            += gettyd
dir_$(CONFIG_USER_GREP_GREP)                += grep
dir_$(CONFIG_USER_GSTREAMER_1_0)            += gstreamer
dir_$(CONFIG_USER_GSTREAMER_0_10)           += gstreamer
dir_$(CONFIG_USER_HD_HD)                    += hd
dir_$(CONFIG_USER_HOSTAP_DRIVER)            += hostap
dir_$(CONFIG_USER_HOSTAP_DRIVER_UTILS)      += hostap/utils
dir_$(CONFIG_USER_HOSTAP_HOSTAPD)           += hostap/hostapd
dir_$(CONFIG_USER_HOSTAP_WPA_SUPPLICANT)    += hostap/wpa_supplicant
dir_$(CONFIG_USER_HTTPD_HTTPD)              += httpd
dir_$(CONFIG_USER_HTTPTUNNEL_CLIENT)        += httptunnel
dir_$(CONFIG_USER_HTTPTUNNEL_SERVER)        += httptunnel
dir_$(CONFIG_USER_HWCLOCK_HWCLOCK)          += hwclock
dir_$(CONFIG_USER_I2CTOOLS)                 += i2c-tools
dir_$(CONFIG_USER_IFATTACH_IFATTACH)        += ifattach
dir_$(CONFIG_USER_IMAGEMAGICK)		    += imagemagick
dir_$(CONFIG_USER_INETD_INETD)              += inetd
dir_$(CONFIG_USER_INIT.ORG_INIT)            += init.org
dir_$(CONFIG_USER_INIT_EXPAND)              += init
dir_$(CONFIG_USER_INIT_INIT)                += init
dir_$(CONFIG_USER_IPCHAINS_IPCHAINS)        += ipchains
dir_$(CONFIG_USER_IPFWADM_IPFWADM)          += ipfwadm
dir_$(CONFIG_USER_IPMASQADM_IPMASQADM)      += ipmasqadm
dir_$(CONFIG_USER_IPPORTFW_IPPORTFW)        += ipportfw
dir_$(CONFIG_USER_IPREDIR_IPREDIR)          += ipredir
dir_$(CONFIG_USER_IPROUTE2)                 += iproute2
dir_$(CONFIG_USER_IPTABLES_IPTABLES)        += iptables
dir_$(CONFIG_USER_IPUTILS_IPUTILS)          += iputils
dir_$(CONFIG_USER_JAVA_SE8)                 += java
dir_$(CONFIG_USER_KENDIN_CONFIG)            += kendin-config
dir_$(CONFIG_USER_KLAXON_KLAXON)            += klaxon
dir_$(CONFIG_USER_LAYER7_PROTOCOLS)         += l7-protocols
dir_$(CONFIG_USER_L2TPD_L2TPD)              += l2tpd
dir_$(CONFIG_USER_LANG_A60)                 += a60
dir_$(CONFIG_USER_LCD_LCD)                  += lcd
dir_$(CONFIG_USER_LEDCON_LEDCON)            += ledcon
dir_$(CONFIG_USER_LEVEE_VI)                 += levee
dir_$(CONFIG_USER_LIGHTTPD_LIGHTTPD)        += lighttpd
dir_$(CONFIG_USER_LINUXIGD_LINUXIGD)        += linux-igd
dir_$(CONFIG_USER_LILO_LILO)                += lilo
dir_$(CONFIG_USER_LIRC)                     += lirc
dir_$(CONFIG_USER_LISSA_LISSA)              += lissa
dir_$(CONFIG_USER_LOATTACH_LOATTACH)        += loattach
dir_$(CONFIG_USER_LOGIN_LOGIN)              += login
dir_$(CONFIG_USER_LOGIN_PASSWD)             += login
dir_$(CONFIG_USER_LRPSTAT_LRPSTAT)          += lrpstat
dir_$(CONFIG_USER_LRZSZ_LRZSZ)              += lrzsz
dir_$(CONFIG_USER_LUA_LUA)                  += lua
dir_$(CONFIG_USER_MADWIFI_TOOLS)            += madwifi-tools
dir_$(CONFIG_USER_MAIL_MAIL_IP)             += mail
dir_$(CONFIG_USER_MATH_TEST)                += mathtest
dir_$(CONFIG_USER_MAWK_AWK)                 += mawk
dir_$(CONFIG_USER_MTDUTILS_NEW)             += mtd-utils
dir_$(CONFIG_USER_MTDUTILS_OLD)             += mtd-utils_old
dir_$(CONFIG_USER_MICROWIN)                 += microwin
dir_$(CONFIG_USER_MINI_HTTPD_MINI_HTTPD)    += mini_httpd
dir_$(CONFIG_USER_MJPGSTREAMER)             += mjpg-streamer
dir_$(CONFIG_USER_MOUNT_MOUNT)              += mount
dir_$(CONFIG_USER_MOUNT_UMOUNT)             += mount
dir_$(CONFIG_USER_MOSQUITTO_MOSQUITTO_CLIENT) += mosquitto
dir_$(CONFIG_USER_MP3PLAY_MP3PLAY)          += mp3play
dir_$(CONFIG_USER_MSNTP_MSNTP)              += msntp
dir_$(CONFIG_USER_MUSICBOX_MUSICBOX)        += musicbox
dir_$(CONFIG_USER_JOE_JOE)                  += joe
dir_$(CONFIG_USER_NESSUS_NASL)              += nessus
dir_$(CONFIG_USER_NETCAT_NETCAT)			+= netcat
dir_$(CONFIG_USER_NETFLASH_NETFLASH)        += netflash
dir_$(CONFIG_USER_NET_TOOLS_ARP)            += net-tools
dir_$(CONFIG_USER_NET_TOOLS_HOSTNAME)       += net-tools
dir_$(CONFIG_USER_NET_TOOLS_IFCONFIG)       += net-tools
dir_$(CONFIG_USER_NET_TOOLS_NAMEIF)         += net-tools
dir_$(CONFIG_USER_NET_TOOLS_NETSTAT)        += net-tools
dir_$(CONFIG_USER_NET_TOOLS_PLIPCONFIG)     += net-tools
dir_$(CONFIG_USER_NET_TOOLS_RARP)           += net-tools
dir_$(CONFIG_USER_NET_TOOLS_ROUTE)          += net-tools
dir_$(CONFIG_USER_NET_TOOLS_SLATTACH)       += net-tools
dir_$(CONFIG_USER_NET_TOOLS_IPMADDR)        += net-tools
dir_$(CONFIG_USER_NET_TOOLS_IPTUNNEL)       += net-tools
dir_$(CONFIG_USER_NET_TOOLS_MII_TOOL)       += net-tools
dir_$(CONFIG_USER_NETSTAT_NAT_NETSTAT_NAT)  += netstat-nat
dir_$(CONFIG_USER_NETPIPE_NPMEMCPY)         += netpipe
dir_$(CONFIG_USER_NETPIPE_NPTCP)            += netpipe
dir_$(CONFIG_USER_NTPCLIENT_ADJTIMEX)       += adjtimex
dir_$(CONFIG_USER_NTPCLIENT_NTPCLIENT)      += ntpclient
dir_$(CONFIG_USER_NTPD_NTPD)                += ntp
dir_$(CONFIG_USER_NTPD_NTPDATE)             += ntp
dir_$(CONFIG_USER_NTPD_NTPQ)                += ntp
dir_$(CONFIG_USER_NULL_NULL)                += null
dir_$(CONFIG_USER_NWSH_SH)                  += nwsh
dir_$(CONFIG_USER_OGGPLAY_EXAMPLE)          += oggplay
dir_$(CONFIG_USER_OGGPLAY_OGG123)           += oggplay
dir_$(CONFIG_USER_OPENSSH)                  += openssh
dir_$(CONFIG_USER_OPENSSL_APPS)             += openssl
dir_$(CONFIG_USER_PALMBOT_PALMBOT)          += palmbot
dir_$(CONFIG_USER_PCIUTILS_LSPCI)           += pciutils
dir_$(CONFIG_USER_PCIUTILS_SETPCI)          += pciutils
dir_$(CONFIG_USER_PCMCIA_CS)                += pcmcia-cs
dir_$(CONFIG_USER_PCMCIAUTILS)              += pcmciautils
dir_$(CONFIG_USER_PERL_PERL)                += perl
dir_$(CONFIG_USER_PING_PING)                += ping
dir_$(CONFIG_USER_PLAY_PLAY)                += play

=== lib/libjpeg/Makefile ===
# Generated automatically from makefile.cfg by configure.
# Makefile for Independent JPEG Group's software

# makefile.cfg is edited by configure to produce a custom Makefile.

# Read installation instructions before saying "make" !!

# For compiling with source and object files in different directories.
srcdir = .

# Where to install the programs and man pages.
prefix = /usr/local
exec_prefix = ${prefix}
bindir = $(exec_prefix)/bin
libdir = $(exec_prefix)/lib
includedir = $(prefix)/include
binprefix =
manprefix =
manext = 1
mandir = $(prefix)/man/man$(manext)

# The name of your C compiler:
#CC= gcc

# You may need to adjust these cc options:
CFLAGS += -I$(srcdir)
# Generally, we recommend defining any configuration symbols in jconfig.h,
# NOT via -D switches here.
# However, any special defines for ansi2knr.c may be included here:
ANSI2KNRFLAGS= 

# Link-time cc options:
LDFLAGS= 

# To link any special libraries, add the necessary -l commands here.
LDLIBS= 

# If using GNU libtool, LIBTOOL references it; if not, LIBTOOL is empty.
LIBTOOL = 
# $(O) expands to "lo" if using libtool, plain "o" if not.
# Similarly, $(A) expands to "la" or "a".
O = pic.o
A = so

# Library version ID; libtool uses this for the shared library version number.
# Note: we suggest this match the macro of the same name in jpeglib.h.
JPEG_LIB_VERSION = 62
JPEGMAJ = $(JPEG_LIB_VERSION)
JPEGMIN = 0.0
JPEGVER = $(JPEGMAJ).$(JPEGMIN)

# Put here the object file name for the correct system-dependent memory
# manager file.  For Unix this is usually jmemnobs.o, but you may want
# to use jmemansi.o or jmemname.o if you have limited swap space.
SYSDEPMEM= jmemnobs.$(O)

# miscellaneous OS-dependent stuff
SHELL= /bin/sh
# linker
#LN= $(CC)
# file deletion command
RM= rm -f
# directory creation command
MKDIR= mkdir
# library (.a) file creation command
MYAR= $(AR) rc
# second step in .a creation (use "touch" if not needed)
#AR2= ranlib
MYAR2 = $(RANLIB)
# installation program
INSTALL= /usr/bin/install -c
INSTALL_PROGRAM= ${INSTALL}
INSTALL_LIB= ${INSTALL} -m 644
INSTALL_DATA= ${INSTALL} -m 644

# End of configurable options.


# source files: JPEG library proper
LIBSOURCES= jcapimin.c jcapistd.c jccoefct.c jccolor.c jcdctmgr.c jchuff.c \
        jcinit.c jcmainct.c jcmarker.c jcmaster.c jcomapi.c jcparam.c \
        jcphuff.c jcprepct.c jcsample.c jctrans.c jdapimin.c jdapistd.c \
        jdatadst.c jdatasrc.c jdcoefct.c jdcolor.c jddctmgr.c jdhuff.c \
        jdinput.c jdmainct.c jdmarker.c jdmaster.c jdmerge.c jdphuff.c \
        jdpostct.c jdsample.c jdtrans.c jerror.c jfdctflt.c jfdctfst.c \
        jfdctint.c jidctflt.c jidctfst.c jidctint.c jidctred.c jquant1.c \
        jquant2.c jutils.c jmemmgr.c
# memmgr back ends: compile only one of these into a working library
SYSDEPSOURCES= jmemansi.c jmemname.c jmemnobs.c jmemdos.c jmemmac.c
# source files: cjpeg/djpeg/jpegtran applications, also rdjpgcom/wrjpgcom
APPSOURCES= cjpeg.c djpeg.c jpegtran.c rdjpgcom.c wrjpgcom.c cdjpeg.c \
        rdcolmap.c rdswitch.c transupp.c rdppm.c wrppm.c rdgif.c wrgif.c \
        rdtarga.c wrtarga.c rdbmp.c wrbmp.c rdrle.c wrrle.c
SOURCES= $(LIBSOURCES) $(SYSDEPSOURCES) $(APPSOURCES)
# files included by source files
INCLUDES= jchuff.h jdhuff.h jdct.h jerror.h jinclude.h jmemsys.h jmorecfg.h \
        jpegint.h jpeglib.h jversion.h cdjpeg.h cderror.h transupp.h
# documentation, test, and support files
DOCS= README install.doc usage.doc cjpeg.1 djpeg.1 jpegtran.1 rdjpgcom.1 \
        wrjpgcom.1 wizard.doc example.c libjpeg.doc structure.doc \
        coderules.doc filelist.doc change.log
MKFILES= configure makefile.cfg makefile.ansi makefile.unix makefile.bcc \
        makefile.mc6 makefile.dj makefile.wat makefile.vc makelib.ds \
        makeapps.ds makeproj.mac makcjpeg.st makdjpeg.st makljpeg.st \
        maktjpeg.st makefile.manx makefile.sas makefile.mms makefile.vms \
        makvms.opt
CONFIGFILES= jconfig.cfg jconfig.bcc jconfig.mc6 jconfig.dj jconfig.wat \
        jconfig.vc jconfig.mac jconfig.st jconfig.manx jconfig.sas \
        jconfig.vms
CONFIGUREFILES= config.guess config.sub install-sh ltconfig ltmain.sh
OTHERFILES= jconfig.doc ckconfig.c ansi2knr.c ansi2knr.1 jmemdosa.asm
TESTFILES= testorig.jpg testimg.ppm testimg.bmp testimg.jpg testprog.jpg \
        testimgp.jpg
DISTFILES= $(DOCS) $(MKFILES) $(CONFIGFILES) $(SOURCES) $(INCLUDES) \
        $(CONFIGUREFILES) $(OTHERFILES) $(TESTFILES)
# library object files common to compression and decompression
COMOBJECTS= jcomapi.$(O) jutils.$(O) jerror.$(O) jmemmgr.$(O) $(SYSDEPMEM)
# compression library object files
CLIBOBJECTS= jcapimin.$(O) jcapistd.$(O) jctrans.$(O) jcparam.$(O) \
        jdatadst.$(O) jcinit.$(O) jcmaster.$(O) jcmarker.$(O) jcmainct.$(O) \
        jcprepct.$(O) jccoefct.$(O) jccolor.$(O) jcsample.$(O) jchuff.$(O) \
        jcphuff.$(O) jcdctmgr.$(O) jfdctfst.$(O) jfdctflt.$(O) \
        jfdctint.$(O)
# decompression library object files
DLIBOBJECTS= jdapimin.$(O) jdapistd.$(O) jdtrans.$(O) jdatasrc.$(O) \
        jdmaster.$(O) jdinput.$(O) jdmarker.$(O) jdhuff.$(O) jdphuff.$(O) \
        jdmainct.$(O) jdcoefct.$(O) jdpostct.$(O) jddctmgr.$(O) \
        jidctfst.$(O) jidctflt.$(O) jidctint.$(O) jidctred.$(O) \
        jdsample.$(O) jdcolor.$(O) jquant1.$(O) jquant2.$(O) jdmerge.$(O)
# These objectfiles are included in libjpeg.a
LIBOBJECTS= $(CLIBOBJECTS) $(DLIBOBJECTS) $(COMOBJECTS)
# object files for sample applications (excluding library files)
COBJECTS= cjpeg.$(O) rdppm.$(O) rdgif.$(O) rdtarga.$(O) rdrle.$(O) \
        rdbmp.$(O) rdswitch.$(O) cdjpeg.$(O)
DOBJECTS= djpeg.$(O) wrppm.$(O) wrgif.$(O) wrtarga.$(O) wrrle.$(O) \
        wrbmp.$(O) rdcolmap.$(O) cdjpeg.$(O)
TROBJECTS= jpegtran.$(O) rdswitch.$(O) cdjpeg.$(O) transupp.$(O)


#all:  libjpeg.$(A) cjpeg djpeg jpegtran rdjpgcom wrjpgcom
all:  libjpeg.$(A) 

# Special compilation rules to support ansi2knr and libtool.
.SUFFIXES: .lo .la .c .o .pic.o

.c.pic.o:
	$(CC) -c $(CFLAGS) -fPIC -o $@ $*.c

# How to compile with libtool.
# .c.lo:
# 	$(LIBTOOL) --mode=compile $(CC) $(CFLAGS) -c $(srcdir)/$*.c

# How to use ansi2knr, when not using libtool.
# .c.o:
# 	./ansi2knr $(srcdir)/$*.c knr/$*.c
# 	$(CC) $(CFLAGS) -c knr/$*.c
# 	$(RM) knr/$*.c

# How to use ansi2knr AND libtool.
# .c.lo:
# 	./ansi2knr $(srcdir)/$*.c knr/$*.c
# 	$(LIBTOOL) --mode=compile $(CC) $(CFLAGS) -c knr/$*.c
# 	$(RM) knr/$*.c

ansi2knr: ansi2knr.c
	$(CC) $(CFLAGS) $(ANSI2KNRFLAGS) -o ansi2knr $(srcdir)/ansi2knr.c
	$(MKDIR) knr

# the library:

# without libtool:
libjpeg.a:  $(LIBOBJECTS)
	$(RM) libjpeg.a
	$(MYAR) libjpeg.a  $(LIBOBJECTS)
	$(MYAR2) libjpeg.a

libjpeg.so: libjpeg.so.$(JPEGMAJ)
	ln -sf libjpeg.so.$(JPEGMAJ) libjpeg.so

libjpeg.so.$(JPEGMAJ): libjpeg.so.$(JPEGVER)
	ln -sf libjpeg.so.$(JPEGVER) libjpeg.so.$(JPEGMAJ)

libjpeg.so.$(JPEGVER): $(LIBOBJECTS)
	$(CC) -shared -Wl,-soname,libjpeg.so.$(JPEGMAJ) -o libjpeg.so.$(JPEGVER) \
	 $(LIBOBJECTS)

# with libtool:
libjpeg.la:  $(LIBOBJECTS)
	$(LIBTOOL) --mode=link $(CC) -o libjpeg.la $(LIBOBJECTS) \
		-rpath $(libdir) -version-info $(JPEG_LIB_VERSION)

# sample programs:

cjpeg: $(COBJECTS) libjpeg.$(A)
	$(LN) $(LDFLAGS) -o cjpeg $(COBJECTS) libjpeg.$(A) $(LDLIBS)

djpeg: $(DOBJECTS) libjpeg.$(A)
	$(LN) $(LDFLAGS) -o djpeg $(DOBJECTS) libjpeg.$(A) $(LDLIBS)

jpegtran: $(TROBJECTS) libjpeg.$(A)
	$(LN) $(LDFLAGS) -o jpegtran $(TROBJECTS) libjpeg.$(A) $(LDLIBS)

rdjpgcom: rdjpgcom.$(O)
	$(LN) $(LDFLAGS) -o rdjpgcom rdjpgcom.$(O) $(LDLIBS)

wrjpgcom: wrjpgcom.$(O)
	$(LN) $(LDFLAGS) -o wrjpgcom wrjpgcom.$(O) $(LDLIBS)

# Installation rules:

install: cjpeg djpeg jpegtran rdjpgcom wrjpgcom 
	$(INSTALL_PROGRAM) cjpeg $(bindir)/$(binprefix)cjpeg
	$(INSTALL_PROGRAM) djpeg $(bindir)/$(binprefix)djpeg
	$(INSTALL_PROGRAM) jpegtran $(bindir)/$(binprefix)jpegtran
	$(INSTALL_PROGRAM) rdjpgcom $(bindir)/$(binprefix)rdjpgcom
	$(INSTALL_PROGRAM) wrjpgcom $(bindir)/$(binprefix)wrjpgcom
	$(INSTALL_DATA) $(srcdir)/cjpeg.1 $(mandir)/$(manprefix)cjpeg.$(manext)
	$(INSTALL_DATA) $(srcdir)/djpeg.1 $(mandir)/$(manprefix)djpeg.$(manext)
	$(INSTALL_DATA) $(srcdir)/jpegtran.1 $(mandir)/$(manprefix)jpegtran.$(manext)
	$(INSTALL_DATA) $(srcdir)/rdjpgcom.1 $(mandir)/$(manprefix)rdjpgcom.$(manext)
	$(INSTALL_DATA) $(srcdir)/wrjpgcom.1 $(mandir)/$(manprefix)wrjpgcom.$(manext)

install-lib: libjpeg.$(A) install-headers
	$(INSTALL_LIB) libjpeg.$(A) $(libdir)/$(binprefix)libjpeg.$(A)

install-headers: jconfig.h
	$(INSTALL_DATA) jconfig.h $(includedir)/jconfig.h
	$(INSTALL_DATA) $(srcdir)/jpeglib.h $(includedir)/jpeglib.h
	$(INSTALL_DATA) $(srcdir)/jmorecfg.h $(includedir)/jmorecfg.h
	$(INSTALL_DATA) $(srcdir)/jerror.h $(includedir)/jerror.h

romfs:
	$(ROMFSINST) libjpeg.so.$(JPEGMAJ) /lib/libjpeg.so.$(JPEGMAJ)

clean:
	-$(RM) *.o *.lo libjpeg.a libjpeg.la
	-$(RM) libjpeg.so*
	-$(RM) cjpeg djpeg jpegtran rdjpgcom wrjpgcom
	-$(RM) ansi2knr core testout* config.log config.status
	-$(RM) -r knr .libs _libs

distclean: clean
	$(RM) Makefile jconfig.h libtool config.cache

test: cjpeg djpeg jpegtran
	$(RM) testout*
	./djpeg -dct int -ppm -outfile testout.ppm  $(srcdir)/testorig.jpg
	./djpeg -dct int -bmp -colors 256 -outfile testout.bmp  $(srcdir)/testorig.jpg
	./cjpeg -dct int -outfile testout.jpg  $(srcdir)/testimg.ppm
	./djpeg -dct int -ppm -outfile testoutp.ppm $(srcdir)/testprog.jpg
	./cjpeg -dct int -progressive -opt -outfile testoutp.jpg $(srcdir)/testimg.ppm
	./jpegtran -outfile testoutt.jpg $(srcdir)/testprog.jpg
	cmp $(srcdir)/testimg.ppm testout.ppm
	cmp $(srcdir)/testimg.bmp testout.bmp
	cmp $(srcdir)/testimg.jpg testout.jpg
	cmp $(srcdir)/testimg.ppm testoutp.ppm
	cmp $(srcdir)/testimgp.jpg testoutp.jpg
	cmp $(srcdir)/testorig.jpg testoutt.jpg

check: test

# Mistake catcher:

jconfig.h: jconfig.doc
	echo You must prepare a system-dependent jconfig.h file.
	echo Please read the installation directions in install.doc.
	exit 1

# GNU Make likes to know which target names are not really files to be made:
.PHONY: all install install-lib install-headers clean distclean test check


jcapimin.$(O): jcapimin.c jinclude.h jconfig.h jpeglib.h jmorecfg.h jpegint.h jerror.h
jcapistd.$(O): jcapistd.c jinclude.h jconfig.h jpeglib.h jmorecfg.h jpegint.h jerror.h
jccoefct.$(O): jccoefct.c jinclude.h jconfig.h jpeglib.h jmorecfg.h jpegint.h jerror.h
jccolor.$(O): jccolor.c jinclude.h jconfig.h jpeglib.h jmorecfg.h jpegint.h jerror.h
jcdctmgr.$(O): jcdctmgr.c jinclude.h jconfig.h jpeglib.h jmorecfg.h jpegint.h jerror.h jdct.h
jchuff.$(O): jchuff.c jinclude.h jconfig.h jpeglib.h jmorecfg.h jpegint.h jerror.h jchuff.h
jcinit.$(O): jcinit.c jinclude.h jconfig.h jpeglib.h jmorecfg.h jpegint.h jerror.h
jcmainct.$(O): jcmainct.c jinclude.h jconfig.h jpeglib.h jmorecfg.h jpegint.h jerror.h
jcmarker.$(O): jcmarker.c jinclude.h jconfig.h jpeglib.h jmorecfg.h jpegint.h jerror.h
jcmaster.$(O): jcmaster.c jinclude.h jconfig.h jpeglib.h jmorecfg.h jpegint.h jerror.h
jcomapi.$(O): jcomapi.c jinclude.h jconfig.h jpeglib.h jmorecfg.h jpegint.h jerror.h
jcparam.$(O): jcparam.c jinclude.h jconfig.h jpeglib.h jmorecfg.h jpegint.h jerror.h
jcphuff.$(O): jcphuff.c jinclude.h jconfig.h jpeglib.h jmorecfg.h jpegint.h jerror.h jchuff.h
jcprepct.$(O): jcprepct.c jinclude.h jconfig.h jpeglib.h jmorecfg.h jpegint.h jerror.h
jcsample.$(O): jcsample.c jinclude.h jconfig.h jpeglib.h jmorecfg.h jpegint.h jerror.h
jctrans.$(O): jctrans.c jinclude.h jconfig.h jpeglib.h jmorecfg.h jpegint.h jerror.h
jdapimin.$(O): jdapimin.c jinclude.h jconfig.h jpeglib.h jmorecfg.h jpegint.h jerror.h
jdapistd.$(O): jdapistd.c jinclude.h jconfig.h jpeglib.h jmorecfg.h jpegint.h jerror.h
jdatadst.$(O): jdatadst.c jinclude.h jconfig.h jpeglib.h jmorecfg.h jerror.h
jdatasrc.$(O): jdatasrc.c jinclude.h jconfig.h jpeglib.h jmorecfg.h jerror.h
jdcoefct.$(O): jdcoefct.c jinclude.h jconfig.h jpeglib.h jmorecfg.h jpegint.h jerror.h
jdcolor.$(O): jdcolor.c jinclude.h jconfig.h jpeglib.h jmorecfg.h jpegint.h jerror.h

=== lib/libpng/Makefile ===
# makefile for libpng on Linux ELF with gcc
# Copyright (C) 1998, 1999 Greg Roelofs
# Copyright (C) 1996, 1997 Andreas Dilger
# For conditions of distribution and use, see copyright notice in png.h

#CC=gcc

# where "make install" puts libpng.a, libpng.so*, png.h and pngconf.h
prefix=/usr/local

# Where the zlib library and include files are located
#ZLIBLIB=/usr/local/lib
#ZLIBINC=/usr/local/include
ifeq ($(CONFIG_LIB_ZLIB),y)
ZLIBLIB=../zlib
ZLIBINC=../zlib
else
ifeq ($(CONFIG_LIB_ZLIB_FORCE),y)
ZLIBLIB=../zlib
ZLIBINC=../zlib
endif
endif

ALIGN=
# for i386:
#ALIGN=-malign-loops=2 -malign-functions=2

WARNMORE=-Wwrite-strings -Wpointer-arith -Wshadow \
	-Wmissing-declarations -Wtraditional -Wcast-align \
	-Wstrict-prototypes -Wmissing-prototypes #-Wconversion

# for pgcc version 2.95.1, -O3 is buggy; don't use it.

CFLAGS += -I$(ZLIBINC) -Wall -O3 -funroll-loops \
	$(ALIGN) # $(WARNMORE) -g -DPNG_DEBUG=5
#LDFLAGS=-L. -Wl,-rpath,. -L$(ZLIBLIB) -Wl,-rpath,$(ZLIBLIB) -lpng -lz -lm

#RANLIB=ranlib
#RANLIB=echo

# read libpng.txt or png.h to see why PNGMAJ is 2.  You should not
# have to change it.
PNGMAJ = 2
PNGMIN = 1.0.12
PNGVER = $(PNGMAJ).$(PNGMIN)

INCPATH=$(prefix)/include
LIBPATH=$(prefix)/lib

OBJS = png.o pngset.o pngget.o pngrutil.o pngtrans.o pngwutil.o \
	pngread.o pngrio.o pngwio.o pngwrite.o pngrtran.o \
	pngwtran.o pngmem.o pngerror.o pngpread.o

OBJSDLL = $(OBJS:.o=.pic.o)

.SUFFIXES:      .c .o .pic.o

.c.pic.o:
	$(CC) -c $(CFLAGS) -fPIC -o $@ $*.c

#all: libpng.a libpng.so pngtest
all: libpng.a libpng.so

libpng.a: $(OBJS)
	ar rc $@ $(OBJS)
	$(RANLIB) $@

libpng.so: libpng.so.$(PNGMAJ)
	ln -sf libpng.so.$(PNGMAJ) libpng.so

libpng.so.$(PNGMAJ): libpng.so.$(PNGVER)
	ln -sf libpng.so.$(PNGVER) libpng.so.$(PNGMAJ)

libpng.so.$(PNGVER): $(OBJSDLL)
	$(CC) -shared -Wl,-soname,libpng.so.$(PNGMAJ) -o libpng.so.$(PNGVER) \
	 $(OBJSDLL) -L$(ZLIBLIB) -lz -lm -lc

pngtest: pngtest.o libpng.so
	$(CC) -o pngtest $(CFLAGS) pngtest.o $(LDFLAGS)

test: pngtest
	./pngtest

install: libpng.a libpng.so.$(PNGVER)
	-@if [ ! -d $(INCPATH)  ]; then mkdir $(INCPATH); fi
	-@if [ ! -d $(LIBPATH) ]; then mkdir $(LIBPATH); fi
	cp png.h pngconf.h $(INCPATH)
	chmod 644 $(INCPATH)/png.h $(INCPATH)/pngconf.h
	cp libpng.a libpng.so.$(PNGVER) $(LIBPATH)
	chmod 755 $(LIBPATH)/libpng.so.$(PNGVER)
	-@/bin/rm -f $(LIBPATH)/libpng.so.$(PNGMAJ) $(LIBPATH)/libpng.so
	(cd $(LIBPATH); ln -sf libpng.so.$(PNGVER) libpng.so.$(PNGMAJ); \
	 ln -sf libpng.so.$(PNGMAJ) libpng.so)

romfs:
	$(ROMFSINST) libpng.so.$(PNGMAJ) /lib/libpng.so.$(PNGMAJ)

clean:
	-/bin/rm -f *.o libpng.a libpng.so* pngtest pngout.png

DOCS = ANNOUNCE CHANGES INSTALL KNOWNBUG LICENSE README TODO Y2KINFO
writelock:
	chmod a-w *.[ch35] $(DOCS) scripts/*

# DO NOT DELETE THIS LINE -- make depend depends on it.

png.o png.pic.o: png.h pngconf.h
pngerror.o pngerror.pic.o: png.h pngconf.h
pngrio.o pngrio.pic.o: png.h pngconf.h
pngwio.o pngwio.pic.o: png.h pngconf.h
pngmem.o pngmem.pic.o: png.h pngconf.h
pngset.o pngset.pic.o: png.h pngconf.h
pngget.o pngget.pic.o: png.h pngconf.h
pngread.o pngread.pic.o: png.h pngconf.h
pngrtran.o pngrtran.pic.o: png.h pngconf.h
pngrutil.o pngrutil.pic.o: png.h pngconf.h
pngtrans.o pngtrans.pic.o: png.h pngconf.h
pngwrite.o pngwrite.pic.o: png.h pngconf.h
pngwtran.o pngwtran.pic.o: png.h pngconf.h
pngwutil.o pngwutil.pic.o: png.h pngconf.h
pngpread.o pngpread.pic.o: png.h pngconf.h

pngtest.o: png.h pngconf.h

=== lib/libsysfs2/Makefile ===

SRC_DIR = sysfsutils-2.1.0

UDEV_DIR = $(shell pwd)
INSTALL_DIR = preinstall

CONF_BUILD = $(shell $(SRC_DIR)/config.guess)
CONF_HOST = $(shell $(SRC_DIR)/config.sub $(CROSS:-=))
CONF_OPT = 
CONF_OPT_MISC = 

LIB_y =
LIB_$(CONFIG_LIB_LIBSYSFS2)		+= usr/local/lib/libsysfs.so.2.0.1 
LIB_$(CONFIG_LIB_LIBSYSFS2_FORCE)	+= usr/local/lib/libsysfs.so.2.0.1 
BIN_y =
BIN_$(CONFIG_LIB_LIBSYSFS2_SYSTOOL)	+= usr/local/bin/systool
BIN_$(CONFIG_LIB_LIBSYSFS2_GET_DEVICE)	+= usr/local/bin/get_device
BIN_$(CONFIG_LIB_LIBSYSFS2_GET_DRIVER)	+= usr/local/bin/get_driver
BIN_$(CONFIG_LIB_LIBSYSFS2_GET_MODULE)	+= usr/local/bin/get_module

GRANT_EXE = config.guess config.sub configure missing depcomp 
GRANT_EXE += test/create-test

all: build

$(SRC_DIR)/Makefile:
	for file in $(GRANT_EXE); do \
		chmod +x $(SRC_DIR)/$$file;\
	done

	(cd $(SRC_DIR); \
	 ./configure --build=$(CONF_BUILD) --host=$(CONF_HOST) \
	             $(CONF_OPT) $(CONF_OPT_MISC));\

build: $(SRC_DIR)/Makefile
	make -C $(SRC_DIR) all
	mkdir -p $(INSTALL_DIR)
	make -C $(SRC_DIR) DESTDIR=$(UDEV_DIR)/$(INSTALL_DIR) install

romfs: build
	for target in $(LIB_y); do \
		$(ROMFSINST) $(INSTALL_DIR)/$$target \
			/lib/`basename $$target`;\
	done
	for target in $(BIN_y); do \
		[ -e $(ROMFSDIR)/usr/bin ] || mkdir -p $(ROMFSDIR)/lib/bin; \
		$(ROMFSINST) $(INSTALL_DIR)/$$target \
			/usr/bin/`basename $$target`;\
	done

	[ "$(CONFIG_LIB_LIBSYSFS2)" != "y" ] && \
	[ "$(CONFIG_LIB_LIBSYSFS2_FORCE)" != "y" ] || \
	(cd $(ROMFSDIR)/lib; \
	for link in libsysfs.so libsysfs.so.2; do \
		ln -fs /lib/libsysfs.so.2.0.1 $$link;\
	done)

clean:
	if [ -f $(SRC_DIR)/Makefile ]; then \
		make -C $(SRC_DIR) clean ;\
	fi

distclean: clean
	if [ -f $(SRC_DIR)/Makefile ]; then \
		make -C $(SRC_DIR) distclean ;\
	fi
	find $(SRC_DIR) -name \*~ -exec rm -f {} \;
	rm -rf $(INSTALL_DIR)

=== lib/nss-mdns/Makefile ===
CONF_BUILD = $(shell ./config.guess)
CONF_HOST = $(shell ./config.sub $(CROSS:-=))

all: build

build:
	rm -rf build install config.cache
	cp config.cache.cross config.cache
	mkdir build install
	chmod u+x configure
	( \
		cd build; \
                export CC='$(CC) $(CFLAGS)'; \
                export LDFLAGS='$(LDFLAGS)'; \
		../configure --prefix=`pwd`/../install --build=$(CONF_BUILD) --host=$(CONF_HOST) --cache-file=`pwd`/../config.cache; \
		make; \
		make install; \
	)

romfs:
	$(ROMFSINST) install/lib/libnss_mdns.so.2 /lib/libnss_mdns.so.2

clean:
	rm -rf build install
	rm config.cache

=== user/a500fx-demo/Makefile ===
PROG = a500fx-demo

all: $(PROG)

$(PROG): main.c
	$(CC) `pkg-config --cflags --libs gtk+-2.0` $< -o $@

romfs:
	$(ROMFSINST) /usr/bin/$(PROG)

clean:
	rm -f *.o $(PROG)

=== user/alsa-utils/Makefile ===
SRC_DIR = alsa-utils

target_y :=
target_$(CONFIG_USER_ALSAUTILS_APLAY)	+= aplay
target_$(CONFIG_USER_ALSAUTILS_ARECORD)	+= aplay
target_$(CONFIG_USER_ALSAUTILS_AMIXER)	+= amixer

aplay_obj = aplay.o
amixer_obj = amixer.o

CFLAGS += -I$(shell pwd)/$(SRC_DIR)/include
LDLIBS += -lasound -lm

all: prepare $(target_y)

prepare: $(SRC_DIR)/include/aconfig.h $(SRC_DIR)/include/version.h
$(SRC_DIR)/include/aconfig.h:
	cp aconfig.h $(SRC_DIR)/include/
$(SRC_DIR)/include/version.h:
	cp version.h $(SRC_DIR)/include/

aplay: $(aplay_obj)
	$(CC) $(LDFLAGS) -o $@ $(aplay_obj) $(LDLIBS)

aplay.o: $(SRC_DIR)/aplay/aplay.c
	$(CC) $(CFLAGS) -c -o $@ $<

arecord: aplay

amixer: $(amixer_obj)
	$(CC) $(LDFLAGS) -o $@ $(amixer_obj) $(LDLIBS)

amixer.o: $(SRC_DIR)/amixer/amixer.c
	$(CC) $(CFLAGS) -c -o $@ $<

clean:
	rm -f *.o aplay amixer
	rm -f $(SRC_DIR)/include/aconfig.h $(SRC_DIR)/include/version.h

romfs:
	$(ROMFSINST) -e CONFIG_USER_ALSAUTILS_APLAY /bin/aplay
	$(ROMFSINST) -e CONFIG_USER_ALSAUTILS_ARECORD /bin/aplay
	$(ROMFSINST) -e CONFIG_USER_ALSAUTILS_ARECORD \
			-s /bin/aplay /bin/arecord
	$(ROMFSINST) -e CONFIG_USER_ALSAUTILS_AMIXER /bin/amixer

=== user/armsd/armsd-0.9.0/debian/changelog ===
armsd (0.9.0) unstable; urgency=low

  * 0.9.0

 -- yamazaki <yamazaki@iij.ad.jp>  Wed, 13 Mar 2013 13:22:21 +0900

armsd (0.7.0) unstable; urgency=low

  * First release packaged for debian

 -- Kouki Ooyatsu <kouki-o@iij.ad.jp>  Tue, 10 Apr 2012 19:48:32 +0900

=== user/expect/expect-5.43.0/debian/changelog ===
expect (5.43.0-17) unstable; urgency=low

  * Reordering removal of config.guess and config.sub in clean target
    (Closes: #488489).
  * Updating to standards 3.8.0.

 -- Daniel Baumann <daniel@debian.org>  Thu,  3 Jul 2008 10:38:00 +0200

expect (5.43.0-16) unstable; urgency=low

  * Reordering rules file.
  * Using lintian debhelper to install lintian overrides.
  * Rewriting copyright file in machine-interpretable format.
  * Removing watch file.
  * Adding vcs fields in control.
  * Upgrading package to debhelper 7.
  * Removing useless whitespace in changelog file.
  * Reverting config.guess and config.sub to upstream.

 -- Daniel Baumann <daniel@debian.org>  Sat,  3 May 2008 12:44:00 +0200

expect (5.43.0-15) unstable; urgency=low

  * Bumping to new policy.
  * Using homepage field in control.
  * Don't hide make errors in clean target of rules.
  * Adding tk8.4-dev to expect-dev depends.
  * Including expect scripts in expect-dev (Closes: #442142).

 -- Daniel Baumann <daniel@debian.org>  Sun, 23 Dec 2007 13:50:00 +0100

expect (5.43.0-14) unstable; urgency=low

  * Acknowledge NMU (Closes: #441115).
  * Rediffed 13-implicit-defs.dpatch.

 -- Daniel Baumann <daniel@debian.org>  Wed, 10 Oct 2007 12:02:00 +0200

expect (5.43.0-13.1) unstable; urgency=low

  * Non-Maintainer Upload
  * Fix implicit definitions throughout.  Closes: #441115

 -- LaMont Jones <lamont@debian.org>  Wed, 19 Sep 2007 15:38:18 -0600

expect (5.43.0-13) unstable; urgency=low

  * Applied patch from Ian Jackson <iwj@ubuntu.com> to
    add fdout in expBusy (Closes: #440818).

 -- Daniel Baumann <daniel@debian.org>  Tue,  4 Sep 2007 21:34:00 +0200

expect (5.43.0-12) unstable; urgency=low

  * Applied patch from Ian Jackson <iwj@ubuntu.com> to check before call
    ttyname, so don't coredump in chroots without /proc (Closes: #440804).

 -- Daniel Baumann <daniel@debian.org>  Tue,  4 Sep 2007 15:47:00 +0200

expect (5.43.0-11) unstable; urgency=low

  * Fixed clean: target in rules (Closes: #424200).

 -- Daniel Baumann <daniel@debian.org>  Wed, 16 May 2007 11:17:00 +0200

expect (5.43.0-10) unstable; urgency=low

  * Removed double reference to expect in expecttk depends.

 -- Daniel Baumann <daniel@debian.org>  Tue, 15 May 2007 15:34:00 +0200

expect (5.43.0-9) unstable; urgency=low

  * Minor cleanups.
  * Bumping package to debhelper 5.

 -- Daniel Baumann <daniel@debian.org>  Tue,  1 May 2007 13:50:00 +0200

expect (5.43.0-8) unstable; urgency=medium

  * Added patch from Niko Tyni <ntyni@iki.fi> to fix static library name on
    alpha, mips and mipsel (Closes: #390366).
  * Added *.so symlink (Closes: #390365).

 -- Daniel Baumann <daniel@debian.org>  Sun,  1 Oct 2006 22:23:00 +0200

expect (5.43.0-7) unstable; urgency=medium

  * Adjusted 06-pkgindex.dpatch to reflect the new soname introduced with
    5.43.0-4 in pkgIndex.tcl (Closes: #381052).

 -- Daniel Baumann <daniel@debian.org>  Tue,  1 Aug 2006 20:54:00 +0200

expect (5.43.0-6) unstable; urgency=low

  * Adjusted lintian overrides.

 -- Daniel Baumann <daniel@debian.org>  Wed, 12 Jul 2006 18:48:00 +0200

expect (5.43.0-5) unstable; urgency=low

  * Moved examples from path to examples directory (Closes: #377851).

 -- Daniel Baumann <daniel@debian.org>  Tue, 11 Jul 2006 18:54:00 +0200

expect (5.43.0-4) unstable; urgency=low

  * New maintainer (Closes: #368094).
  * Acknowledge NMU (Closes: #367618, #368364, #368580).
  * Redone debian directory based on newer debhelper templates, additionally:
    - Added lintian overrides.
    - Added watch file.
    - Fixed depends (Closes: #375869).
    - Rediffed all patches from scratch using dpatch, put descriptions to
      every patch and assigned correct credits. All patches get applied now.
    - Rewritten debian/copyright, it's the correct and relevant information now.
    - Running test suites while the build process.
    - Set soname to libexpect.so.5.43.0.

 -- Daniel Baumann <daniel@debian.org>  Mon, 10 Jul 2006 15:40:00 +0200

expect (5.43.0-3.1) unstable; urgency=low

  * NMU to fix atlas3 FTBFS.
  * Apply patch from Paul Cupis:
    - Move libexpect5.43.so into expect package. (Closes: 367618)
      (libexpect-dev Depends on expect, so 367325 is still fixed.)

 -- Bill Allombert <ballombe@debian.org>  Sun, 21 May 2006 17:36:06 +0200

expect (5.43.0-3) unstable; urgency=high

  * Applied patch from Alec Berryman, fixing a symlink error.
    Closes: #367325

 -- Jonathan Walther <krooger@debian.org>  Tue, 16 Mar 2006 12:46:52 -0800

expect (5.43.0-2) unstable; urgency=high

  * Lintian fix: more hyphenation in the manpage.
  * Lintian fix: removed DH_COMPAT from rules file.

 -- Jonathan Walther <krooger@debian.org>  Sun, 12 Mar 2006 22:24:52 -0800

expect (5.43.0-1) unstable; urgency=high

  * Latest upstream (still two years old though)
  * Better fix for infinite write bug

 -- Jonathan Walther <krooger@debian.org>  Sun,  5 Mar 2006 02:06:52 -0800

expect (5.42.1-5) unstable; urgency=high

  * Lintian fix: standards version.
  * Lintian fix: linebreak in manpage.
  * Fixing hyphenation escaping in manpage too.
  * Previous release fixed this bug.
    Closes: #270628

 -- Jonathan Walther <krooger@debian.org>  Sun,  5 Mar 2006 02:06:52 -0800

expect (5.42.1-4) unstable; urgency=high

  * Depending on autoconf2.13 not necessary because config.{guess,sub} is
    properly updated now.  Thank you LaMont Jones and Steve Langasek.
    Closes: #295633
  * Fixed an infinite write bug. Thank you Martin Forssen for the patch.
    Closes: #294092
  * Output problems should be fixed now that infinite write bug is fixed.
    Closes: #301556
  * Incorrect use of fork() is not expect's problem.  Without more
    information, I have to declare this a Tcl8.4 bug.
    Closes: #314224
  * All the tests in the tests directory pass with flying colors.
    Closes: #156815
  * Upstream fixed the autoexpect script at some point in the past.
    Closes: #197640



=== user/fbgrab/debian/changelog ===
fbgrab (1.0.0-3) unstable; urgency=low

  * New maintainer (Closes: #344450)
  * Raised debian/compat level to 5 (level 3 is now deprecated), updated
    debhelper dependency accordingly 
  * Fixed typos in manpage and hyphen problems
  * Updated FSF address in copyright
  * debian/watch: updated to work with our .0 version (thanks Florian Ernst)

 -- Luca Bruno <luca.br@uno.it>  Tue, 27 Dec 2005 11:10:12 +0100

fbgrab (1.0.0-2) unstable; urgency=low

  * New maintainer address, many thanks to Ola Lundqvist for previous
    sponsoring
  * debian/control: Standards-Version 3.6.2, no changes required
  * fix duplicate word in manpage

 -- Florian Ernst <florian@debian.org>  Tue,  9 Aug 2005 15:57:16 +0200

fbgrab (1.0.0-1) unstable; urgency=low

  * New upstream release, new maintainer (Closes: #232351)
  * This version called 1.0.0 (upstream is only 1.0) in order to have a
    greater version string than the previous version in the archive
  * debian/control:
    + clean Build-Depends
    + Standards-Version 3.6.1
    + added upstream home page
  * debian/copyright:
    + note about maintainer(s)
    + copyright clarified
    + update upstream homepage
  * debian/README.Debian: changed wording
  * debian/rules: streamlined to best practices
  * debian/watch: added

 -- Florian Ernst <florian_ernst@gmx.net>  Wed, 28 Jul 2004 14:48:33 +0200

fbgrab (1.0b1-2) unstable; urgency=low

  * Now using libpng3-dev instead of libpng2-dev, closes: #165828.

 -- Ola Lundqvist <opal@debian.org>  Wed, 23 Oct 2002 10:15:42 +0200

fbgrab (1.0b1-1) unstable; urgency=low

  * Initial release, closes: #163746.

 -- Ola Lundqvist <opal@debian.org>  Thu, 10 Oct 2002 14:00:26 +0200

=== user/i2c-tools/i2c-tools-3.0.2/debian/changelog ===
i2c-tools (3.0.2-5) unstable; urgency=low

  * Add depends on adduser to i2ctools. (Closes: #608835). 

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 03 Jan 2011 23:22:26 +0100

i2c-tools (3.0.2-4) unstable; urgency=low

  * Add ${misc:Depends} to all binaries.
  * Create an i2c group on install, and add a udev file to set the group
    and the mode of /dev/i2c-* nodes.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 14 Jan 2010 06:39:06 +0100

i2c-tools (3.0.2-3) unstable; urgency=low

  * Correctly call dh_pysupport. (Closes: #556147). 

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 14 Nov 2009 14:27:26 +0100

i2c-tools (3.0.2-2) unstable; urgency=low

  * i2c-tools: depends on udev | makedev and create /dev/i2c-0 (Closes: 
    bug#546871).
  * Bump standard versions to 3.8.3 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 14 Oct 2009 00:19:49 +0200

i2c-tools (3.0.2-1) unstable; urgency=low

  * New upstream version.
  * Bump standard versions to 3.8.0 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 28 Jan 2009 23:37:31 +0100

i2c-tools (3.0.1-1) unstable; urgency=low

  * New upstream version. 

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 04 Apr 2008 22:14:04 +0200

i2c-tools (3.0.0-2) unstable; urgency=low

  * Bump standard versions to 3.7.3 (no changes).
  * Fix python-pysmbus description.
  * Fix debian/copyright.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 02 Mar 2008 18:54:37 +0100

i2c-tools (3.0.0-1) unstable; urgency=low

  * New upstream package split from lm-sensors.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 27 Nov 2007 16:46:35 +0100

=== user/openssh/openssh-4.3p2/debian/changelog ===
openssh (1:4.3p2-9) unstable; urgency=high

  [ Russ Allbery ]
  * Fix GSSAPIKeyExchange configuration file handling logic in ssh-krb5
    (closes: #404863).
  * Fix uncommenting of GSSAPI options by ssh-krb5 (closes: #407766).

  [ Colin Watson ]
  * debconf template translations:
    - Add Norwegian Bokmål (thanks, Bjørn Steensrud; closes: #412330).

 -- Colin Watson <cjwatson@debian.org>  Mon,  5 Mar 2007 16:13:50 +0000

openssh (1:4.3p2-8) unstable; urgency=medium

  [ Vincent Untz ]
  * Give the ssh-askpass-gnome window a default icon; remove unnecessary
    icon extension from .desktop file (closes:
    https://launchpad.net/bugs/27152).

  [ Colin Watson ]
  * Drop versioning on ssh/ssh-krb5 Replaces, as otherwise it isn't
    sufficient to replace conffiles (closes: #402804).
  * Make GSSAPICleanupCreds a compatibility alias for
    GSSAPICleanupCredentials. Mark GSSUseSessionCCache and
    GSSAPIUseSessionCredCache as known-but-unsupported options, and migrate
    away from them on upgrade.
  * It turns out that the people who told me that removing a conffile in the
    preinst was sufficient to have dpkg replace it without prompting when
    moving a conffile between packages were very much mistaken. As far as I
    can tell, the only way to do this reliably is to write out the desired
    new text of the conffile in the preinst. This is gross, and requires
    shipping the text of all conffiles in the preinst too, but there's
    nothing for it. Fortunately this nonsense is only required for smooth
    upgrades from sarge.
  * debconf template translations:
    - Add Romanian (thanks, Stan Ioan-Eugen; closes: #403528).

 -- Colin Watson <cjwatson@debian.org>  Sat, 23 Dec 2006 18:38:33 +0000

openssh (1:4.3p2-7) unstable; urgency=medium

  [ Colin Watson ]
  * Ignore errors from usermod when changing sshd's shell, since it will
    fail if the sshd user is not local (closes: #398436).
  * Remove version control tags from /etc/ssh/moduli and /etc/ssh/ssh_config
    to avoid unnecessary conffile resolution steps for administrators
    (thanks, Jari Aalto; closes: #335259).
  * Fix quoting error in configure.ac and regenerate configure (thanks, Ben
    Pfaff; closes: #391248).
  * When installing openssh-client or openssh-server from scratch, remove
    any unchanged conffiles from the pre-split ssh package to work around a
    bug in sarge's dpkg (thanks, Justin Pryzby and others; closes: #335276).

  [ Russ Allbery ]
  * Create transitional ssh-krb5 package which enables GSSAPI configuration
    in sshd_config (closes: #390986).
  * Default client to attempting GSSAPI authentication.
  * Remove obsolete GSSAPINoMICAuthentication from sshd_config if it's
    found.
  * Add ssh -K option, the converse of -k, to enable GSSAPI credential
    delegation (closes: #401483).

 -- Colin Watson <cjwatson@debian.org>  Wed,  6 Dec 2006 23:00:49 +0000

openssh (1:4.3p2-6) unstable; urgency=low

  * Acknowledge NMU (thanks, Manoj; closes: #394795).
  * Backport from 4.5p1:
    - Fix a bug in the sshd privilege separation monitor that weakened its
      verification of successful authentication. This bug is not known to be
      exploitable in the absence of additional vulnerabilities.
  * openssh-server Suggests: molly-guard (closes: #395473).
  * debconf template translations:
    - Update German (thanks, Helge Kreutzmann; closes: #395947).

 -- Colin Watson <cjwatson@debian.org>  Wed, 15 Nov 2006 00:07:32 +0000

openssh (1:4.3p2-5.1) unstable; urgency=low

  * NMU to update SELinux patch, bringing it in line with current selinux
    releases.  The patch for this NMU is simply the Bug#394795 patch, 
    and no other changes.                       (closes: #394795)

 -- Manoj Srivastava <srivasta@debian.org>  Mon,  23 Oct 2006 14:11:24 -0500

openssh (1:4.3p2-5) unstable; urgency=low

  * Remove ssh/insecure_telnetd check altogether (closes: #391081).
  * debconf template translations:
    - Update Danish (thanks, Claus Hindsgaul; closes: #390612).

 -- Colin Watson <cjwatson@debian.org>  Thu,  5 Oct 2006 09:04:19 +0100

openssh (1:4.3p2-4) unstable; urgency=high

  * Backport from 4.4p1 (since I don't have an updated version of the GSSAPI
    patch yet):
    - CVE-2006-4924: Fix a pre-authentication denial of service found by
      Tavis Ormandy, that would cause sshd(8) to spin until the login grace
      time expired (closes: #389995).
    - CVE-2006-5051: Fix an unsafe signal hander reported by Mark Dowd. The
      signal handler was vulnerable to a race condition that could be
      exploited to perform a pre-authentication denial of service. On
      portable OpenSSH, this vulnerability could theoretically lead to
      pre-authentication remote code execution if GSSAPI authentication is
      enabled, but the likelihood of successful exploitation appears remote.

  * Read /etc/default/locale as well as /etc/environment (thanks, Raphaël
    Hertzog; closes: #369395).
  * Remove no-longer-used ssh/insecure_rshd debconf template.
  * Make ssh/insecure_telnetd Type: error (closes: #388946).

  * debconf template translations:
    - Update Portuguese (thanks, Rui Branco; closes: #381942).
    - Update Spanish (thanks, Javier Fernández-Sanguino Peña;
      closes: #382966).

 -- Colin Watson <cjwatson@debian.org>  Fri, 29 Sep 2006 16:28:24 +0100

openssh (1:4.3p2-3) unstable; urgency=low

  * Document KeepAlive->TCPKeepAlive renaming in sshd_config(5) (closes:
    https://launchpad.net/bugs/50702).
  * Change sshd user's shell to /usr/sbin/nologin (closes: #366541).
    Introduces dependency on passwd for usermod.
  * debconf template translations:
    - Update French (thanks, Denis Barbier; closes: #368503).
    - Update Dutch (thanks, Bart Cornelis; closes: #375100).
    - Update Japanese (thanks, Kenshi Muto; closes: #379950).

 -- Colin Watson <cjwatson@debian.org>  Thu, 27 Jul 2006 00:12:36 +0100

openssh (1:4.3p2-2) unstable; urgency=low



=== user/sudo/debian/changelog ===
sudo (1.6.8p7-1.2) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Clean SHELLOPTS and PS4 from the environment before executing programs
    with sudo permissions [env.c, CAN-2005-2959]

 -- Martin Schulze <joey@infodrom.org>  Thu, 22 Sep 2005 23:32:53 +0200

sudo (1.6.8p7-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for sarge-targetted RC bugfix.
  * Fix up a broken symlink pointing to debian/sudo/usr/bin/sudo, so
    that sudoedit is usable again.  Closes: #305735.

 -- Steve Langasek <vorlon@debian.org>  Tue, 26 Apr 2005 22:59:06 -0700

sudo (1.6.8p7-1) unstable; urgency=low

  * new upstream version, closes: #299585
  * update lintian overrides to squelch the postinst warning
  * change sudoedit from a hard to a soft link, closes: #296896
  * fix regex doc in sudoers man page, closes: #300361

 -- Bdale Garbee <bdale@gag.com>  Sat, 26 Mar 2005 22:18:34 -0700

sudo (1.6.8p5-1) unstable; urgency=high

  * new upstream version
  * restores ability to use config tuples without a value, which was causing
    problems on upgrade closes: #283306
  * deliver sudoedit, closes: #283078
  * marking urgency high since 283306 is a serious upgrade incompatibility

 -- Bdale Garbee <bdale@gag.com>  Fri,  3 Dec 2004 10:11:16 -0700

sudo (1.6.8p3-2) unstable; urgency=high

  * update pam.d deliverable so ldap works again, closes: #282191

 -- Bdale Garbee <bdale@gag.com>  Mon, 22 Nov 2004 11:44:46 -0700

sudo (1.6.8p3-1) unstable; urgency=high

  * new upstream version, fixes a flaw in sudo's environment sanitizing that 
    could allow a malicious user with permission to run a shell script that 
    utilized the bash shell to run arbitrary commands, closes: #281665
  * patch the sample sudoers to have the proper path for kill on Debian
    systems, closes: #263486
  * patch the sudo manpage to reflect Debian's choice of exempt_group 
    default setting, closes: #236465
  * patch the sudo manpage to reflect Debian's choice of no timeout on the
    password prompt, closes: #271194

 -- Bdale Garbee <bdale@gag.com>  Tue, 16 Nov 2004 23:23:41 -0700

sudo (1.6.7p5-2) unstable; urgency=low

  * Jeff Bailey reports that seteuid works on current sparc systems, so we
    no longer need the "grosshack" stuff in the sudo rules file
  * add a postrm that removes /etc/sudoers on purge.  don't do this with the
    normal conffile mechanism since it would generate noise on every upgrade,
    closes: #245405

 -- Bdale Garbee <bdale@gag.com>  Tue, 20 Jul 2004 12:29:48 -0400

sudo (1.6.7p5-1) unstable; urgency=low

  * new upstream version, closes: #190265, #193222, #197244
  * change from '.' to ':' in postinst chown call, closes: #208369

 -- Bdale Garbee <bdale@gag.com>  Tue,  2 Sep 2003 21:27:06 -0600

sudo (1.6.7p3-2) unstable; urgency=low

  * add --disable-setresuid to configure call since 2.2 kernels don't support
    setresgid, closes: #189044
  * cosmetic cleanups to debian/rules as long as I'm there

 -- Bdale Garbee <bdale@gag.com>  Tue, 15 Apr 2003 16:04:48 -0600

sudo (1.6.7p3-1) unstable; urgency=low

  * new upstream version
  * add overrides to quiet lintian about things it doesn't understand,
    except the source one that can't be overridden until 129510 is fixed

 -- Bdale Garbee <bdale@gag.com>  Mon,  7 Apr 2003 17:34:05 -0600

sudo (1.6.6-3) unstable; urgency=low

  * add code to rules file to update config.sub/guess, closes: #164501

 -- Bdale Garbee <bdale@gag.com>  Sat, 12 Oct 2002 15:35:22 -0600

sudo (1.6.6-2) unstable; urgency=low

  * adopt suggestion from Marcus Brinkmann to feed --with-sendmail option to
    configure, and lose the build dependency on mail-transport-agent
  * incorporate changes from LaMont's NMU, closes: #144665, #144737
  * update init.d to not try and set time on nonexistent timestamp files, 
    closes: #132616
  * build with --with-all-insults, admin must edit sudoers to turn insults 
    on at runtime if desired, closes: #135374
  * stop setting /usr/doc symlink in postinst

 -- Bdale Garbee <bdale@gag.com>  Sat, 12 Oct 2002 01:54:24 -0600

sudo (1.6.6-1.1) unstable; urgency=high

  * NMU - patch from Colin Watson <cjwatson@debian.org>, in bts.
  * Revert patch to auth/pam.c that left pass uninitialized, causing a
    segfault (Closes: #144665).

 -- LaMont Jones <lamont@debian.org>  Fri, 26 Apr 2002 22:36:04 -0600

sudo (1.6.6-1) unstable; urgency=high

  * new upstream version, fixes security problem with crafty prompts, 
    closes: #144540

 -- Bdale Garbee <bdale@gag.com>  Thu, 25 Apr 2002 12:45:49 -0600

sudo (1.6.5p1-4) unstable; urgency=high

  * apply patch for auth/pam.c to fix yet another way to make sudo segfault
    if ctrl/C'ed at password prompt, closes: #131235

 -- Bdale Garbee <bdale@gag.com>  Sun,  3 Mar 2002 23:18:56 -0700

sudo (1.6.5p1-3) unstable; urgency=high

  * ugly hack to add --disable-saved-ids when building on sparc in response 
    to 131592, which will be reassigned to glibc for a real fix
  * urgency high since the sudo currently in testing for sparc is worthless

 -- Bdale Garbee <bdale@gag.com>  Sun, 17 Feb 2002 22:42:10 -0700

sudo (1.6.5p1-2) unstable; urgency=high

  * patch from upstream to fix seg faults caused by versions of pam that
    follow a NULL pointer, closes: #129512

 -- Bdale Garbee <bdale@gag.com>  Tue, 22 Jan 2002 01:50:13 -0700

sudo (1.6.5p1-1) unstable; urgency=high

  * new upstream version
  * add --disable-root-mailer option supported by new version to configure 
    call in rules file, closes: #129648

 -- Bdale Garbee <bdale@gag.com>  Fri, 18 Jan 2002 11:29:37 -0700

sudo (1.6.4p1-1) unstable; urgency=high

  * new upstream version, with fix for segfaulting problem in 1.6.4

 -- Bdale Garbee <bdale@gag.com>  Mon, 14 Jan 2002 20:09:46 -0700

sudo (1.6.4-1) unstable; urgency=high

  * new upstream version, includes an important security fix, closes: #127576

 -- Bdale Garbee <bdale@gag.com>  Mon, 14 Jan 2002 09:35:48 -0700



=== user/armsd/armsd-0.9.0/debian/control ===
Source: armsd
Section: admin
Priority: extra
Maintainer: Kouki Ooyatsu <kouki-o at iij.ad.jp>
Build-Depends: make, gcc, libarms-dev (>= 5.00), debhelper, cdbs, autotools-dev
Homepage: http://dev.smf.jp/

Package: armsd
Architecture: any
Section: admin
Depends: ${misc:Depends}, ${shlibs:Depends}, libarms (>= 5.00)
Description: ARMS protocol daemon.

=== user/expect/expect-5.43.0/debian/control ===
Source: expect
Section: interpreters
Priority: optional
Maintainer: Daniel Baumann <daniel@debian.org>
Build-Depends: debhelper (>= 7), dpatch, autotools-dev, autoconf2.13, tcl8.4-dev, tk8.4-dev
Standards-Version: 3.8.0
Homepage: http://expect.nist.gov/
Vcs-Browser: http://git.debian.net/?p=expect.git
Vcs-Git: git://git.debian.net/git/expect.git

Package: expect
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: expectk
Description: A program that can automate interactive applications
 Expect is a tool for automating interactive applications according to a script.
 Following the script, Expect knows what can be expected from a program and what
 the correct response should be. Expect is also useful for testing these same
 applications. And by adding Tk, you can also wrap interactive applications in
 X11 GUIs. An interpreted language provides branching and high-level control
 structures to direct the dialogue. In addition, the user can take control and
 interact directly when desired, afterward returning control to the script.

Package: expectk
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A program that can automate interactive applications (Tk hooks)
 Expect is a tool for automating interactive applications according to a script.
 Following the script, Expect knows what can be expected from a program and what
 the correct response should be. Expect is also useful for testing these same
 applications. And by adding Tk, you can also wrap interactive applications in
 X11 GUIs. An interpreted language provides branching and high-level control
 structures to direct the dialogue. In addition, the user can take control and
 interact directly when desired, afterward returning control to the script.
 .
 This package contains the Tk hooks.

Package: expect-dev
Architecture: any
Depends: expect (= ${binary:Version}), tcl8.4-dev, tk8.4-dev
Description: A program that can automate interactive applications (development)
 Expect is a tool for automating interactive applications according to a script.
 Following the script, Expect knows what can be expected from a program and what
 the correct response should be. Expect is also useful for testing these same
 applications. And by adding Tk, you can also wrap interactive applications in
 X11 GUIs. An interpreted language provides branching and high-level control
 structures to direct the dialogue. In addition, the user can take control and
 interact directly when desired, afterward returning control to the script.
 .
 This package contains the development files and examples.

=== user/fbgrab/debian/control ===
Source: fbgrab
Section: misc
Priority: optional
Maintainer: Luca Bruno <luca.br@uno.it>
Build-Depends: debhelper (>> 5.0.0), zlib1g-dev, libpng12-dev
Standards-Version: 3.6.2

Package: fbgrab
Architecture: any
Depends: ${shlibs:Depends}
Description: Framebuffer grabber
 Grabs an image of a framebuffer device and store it as a png file.
 .
 Also has a timer-feature so you can do things before the image is
 grabbed.
 .
 Homepage: http://hem.bredband.net/gmogmo/fbgrab/

=== user/i2c-tools/i2c-tools-3.0.2/debian/control ===
Source: i2c-tools
Section: utils
Priority: extra
Build-Depends: debhelper (>= 5), python-all-dev (>= 2.3.5-11), python-support (>= 0.4) 
Maintainer: Aurelien Jarno <aurel32@debian.org>
Standards-Version: 3.8.3
Homepage: http://www.lm-sensors.org

Package: i2c-tools
Architecture: any
Section: utils
Conflicts: lm-sensors (<< 1:3.0.0-1)
Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}, adduser, udev | makedev
Suggests: libi2c-dev, python-smbus
Description: heterogeneous set of I2C tools for Linux
 This package contains a heterogeneous set of I2C tools for Linux: a bus
 probing tool, a chip dumper, register-level access helpers, EEPROM
 decoding scripts, and more.

Package: libi2c-dev
Architecture: all
Depends: ${misc:Depends}
Section: libdevel
Recommends: i2c-tools
Description: userspace I2C programming library development files
 I2C devices are usually controlled by a kernel driver. Using this
 library it is also possible to access all devices on an adapter 
 from userspace and without the knowledge of Linux kernel internals.

Package: python-smbus
Architecture: any
Section: python
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
XB-Python-Version: ${python:Versions}
Provides: ${python:Provides}
Recommends: i2c-tools
Description: Python bindings for Linux SMBus access through i2c-dev 
 This Python module allows SMBus access through the I2C /dev interface on 
 Linux hosts.  The host kernel must have I2C support, I2C device interface
 support, and a bus adapter driver.

=== user/openssh/openssh-4.3p2/debian/control ===
Source: openssh
Section: net
Priority: standard
Maintainer: Matthew Vernon <matthew@debian.org>
Build-Depends: libwrap0-dev | libwrap-dev, zlib1g-dev | libz-dev, libssl-dev (>= 0.9.8-1), libpam0g-dev | libpam-dev, libgnomeui-dev (>= 2.0.0) | libgnome-dev, libedit-dev, groff, debhelper (>= 5.0.22), sharutils, libselinux1-dev [alpha amd64 arm armeb hppa i386 ia64 m68k mips mipsel powerpc ppc64 s390 sparc], libkrb5-dev
Standards-Version: 3.7.2
Uploaders: Colin Watson <cjwatson@debian.org>

Package: openssh-client
Architecture: any
Depends: ${shlibs:Depends}, ${debconf-depends}, adduser (>= 3.10), dpkg (>= 1.7.0), passwd
Conflicts: ssh (<< 1:3.8.1p1-9), sftp, rsh-client (<<0.16.1-1), ssh-krb5 (<< 1:4.3p2-7)
Replaces: ssh, ssh-krb5
Suggests: ssh-askpass, xbase-clients
Provides: rsh-client, ssh-client
Description: Secure shell client, an rlogin/rsh/rcp replacement
 This is the portable version of OpenSSH, a free implementation of
 the Secure Shell protocol as specified by the IETF secsh working
 group.
 .
 Ssh (Secure Shell) is a program for logging into a remote machine
 and for executing commands on a remote machine.
 It provides secure encrypted communications between two untrusted
 hosts over an insecure network.  X11 connections and arbitrary TCP/IP
 ports can also be forwarded over the secure channel.
 It is intended as a replacement for rlogin, rsh and rcp, and can be
 used to provide applications with a secure communication channel.
 .
 This package provides the ssh, scp and sftp clients, the ssh-agent
 and ssh-add programs to make public key authentication more convenient,
 and the ssh-keygen, ssh-keyscan, ssh-copy-id and ssh-argv0 utilities.
 .
 --------------------------------------------------------------------
 .
 In some countries it may be illegal to use any encryption at all
 without a special permit.

Package: openssh-server
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${debconf-depends}, ${pam-depends}, libpam-modules (>= 0.72-9), adduser (>= 3.9), dpkg (>= 1.9.0), openssh-client (= ${Source-Version})
Conflicts: ssh (<< 1:3.8.1p1-9), ssh-nonfree (<<2), ssh-socks, ssh2, sftp, rsh-client (<<0.16.1-1), ssh-krb5 (<< 1:4.3p2-7)
Replaces: ssh, openssh-client (<< 1:3.8.1p1-11), ssh-krb5
Suggests: ssh-askpass, xbase-clients, rssh, molly-guard
Provides: ssh-server
Description: Secure shell server, an rshd replacement
 This is the portable version of OpenSSH, a free implementation of
 the Secure Shell protocol as specified by the IETF secsh working
 group.
 .
 Ssh (Secure Shell) is a program for logging into a remote machine
 and for executing commands on a remote machine.
 It provides secure encrypted communications between two untrusted
 hosts over an insecure network.  X11 connections and arbitrary TCP/IP
 ports can also be forwarded over the secure channel.
 It is intended as a replacement for rlogin, rsh and rcp, and can be
 used to provide applications with a secure communication channel.
 .
 This package provides the sshd server.
 .
 --------------------------------------------------------------------
 .
 In some countries it may be illegal to use any encryption at all
 without a special permit.

Package: ssh
Priority: extra
Architecture: all
Depends: openssh-client, openssh-server
Description: Secure shell client and server (transitional package)
 This is a transitional package depending on both the OpenSSH client and
 the OpenSSH server, which are now in separate packages. You may remove
 it once the upgrade is complete and nothing depends on it.

Package: ssh-krb5
Priority: extra
Architecture: all
Depends: openssh-client, openssh-server
Description: Secure shell client and server (transitional package)
 This is a transitional package depending on the regular Debian OpenSSH
 client and server, which now support GSSAPI natively.  It will add the
 necessary GSSAPI options to the server configuration file.  You can
 remove it once the upgrade is complete and nothing depends on it.

Package: ssh-askpass-gnome
Section: gnome
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, openssh-client | ssh (>= 1:1.2pre7-4) | ssh-krb5
Replaces: ssh (<< 1:3.5p1-3)
Provides: ssh-askpass
Description: under X, asks user for a passphrase for ssh-add
 This has been split out of the main ssh package, so that the ssh will
 not need to depend upon the Gnome libraries.
 .
 You probably want the ssh-askpass package instead, but this is
 provided to add to your choice and/or confusion.

Package: openssh-client-udeb
XC-Package-Type: udeb
Section: debian-installer
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, libnss-files-udeb
XB-Installer-Menu-Item: 999
Description: Secure shell client for the Debian installer
 This is the portable version of OpenSSH, a free implementation of
 the Secure Shell protocol as specified by the IETF secsh working
 group.
 .
 This package provides the ssh client for use in debian-installer.

Package: openssh-server-udeb
XC-Package-Type: udeb
Section: debian-installer
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, libnss-files-udeb
Description: Secure shell server for the Debian installer
 This is the portable version of OpenSSH, a free implementation of
 the Secure Shell protocol as specified by the IETF secsh working
 group.
 .
 This package provides the sshd server for use in debian-installer.
 Since it is expected to be used in specialized situations (e.g. S/390
 installs with no console), it does not provide any configuration.

=== user/pcmciautils/pcmciautils-014/debian/control ===
Source: pcmciautils
Section: admin
Priority: extra
Maintainer: Colin Watson <cjwatson@debian.org>
Uploaders: Per Olofsson <pelle@debian.org>
Standards-Version: 3.7.2
Build-Depends: debhelper (>= 4.2), libsysfs-dev (>= 1.3.0), flex, bison

Package: pcmciautils
Architecture: any
Depends: module-init-tools (>= 3.2.2), lsb-base (>= 3.0-6), ${shlibs:Depends}
Recommends: udev
Suggests: wireless-tools
Description: PCMCIA utilities for Linux 2.6
 This package provides PCMCIA initialisation tools for Linux 2.6.13-rc1 or
 later, replacing the old pcmcia-cs tools used with earlier kernel versions.
 PCMCIA cards are commonly used in laptops to provide expanded capabilities
 such as network connections, modems, increased memory, etc.
 .
 To use PCMCIA you need to have kernel modules available to support
 it. These are included in the stock Debian 2.6 kernel packages. You
 will most likely also need udev, although it isn't always required.
 .
 The wireless-tools package is required by many wireless network adapters.

Package: pcmciautils-udeb
XC-Package-Type: udeb
Section: debian-installer
Architecture: any
Depends: udev-udeb, ${shlibs:Depends}
Description: PCMCIA utilities for Linux 2.6
 This package provides PCMCIA initialisation tools for Linux 2.6.13-rc1 or
 later, replacing the old pcmcia-cs tools used with earlier kernel versions.
 PCMCIA cards are commonly used in laptops to provide expanded capabilities
 such as network connections, modems, increased memory, etc.
 .
 To use PCMCIA you need to have kernel modules available to support it.
 These are included in the stock Debian 2.6 kernel packages.
 .
 This is a minimal package for use in debian-installer.

=== user/procps/procps-3.2.7/debian/control ===
Source: procps
Section: admin
Priority: required
Maintainer: Craig Small <csmall@debian.org>
Build-Depends: debhelper (>= 5), libncurses5-dev, make (>= 3.78.1-8), dpatch
Standards-Version: 3.7.2

Package: procps
Architecture: any
Depends: ${shlibs:Depends}, lsb-base (>= 3.0-10)
Provides: watch
Conflicts: watch, libproc-dev (<< 1:1.2.6-2), w-bassman (<< 1.0-3), procps-nonfree, pgrep (<< 3.3-5)
Replaces: watch, bsdutils (<< 2.9x-1)
Recommends: psmisc
Description: /proc file system utilities
 These are utilities to browse the /proc filesystem, which is not a real file
 system but a way for the kernel to provide information about the status of
 entries in its process table. (e.g. running, stopped or "zombie")
 Both command line and full screen utilities are provided. Ncurses is needed
 for the full screen utilities.  More information can be found at procps
 website http://procps.sf.net/
 .
 This package includes the following utilities: top, uptime, tload,
 free, vmstat, watch, skill, pmap, pgrep, slabtop and pwdx.

Package: libproc-dev
Architecture: any
Section: libdevel
Priority: optional
Depends: libc6-dev, procps (= ${Source-Version})
Description: library for accessing process information from /proc
 These are the header files for libproc. Some packages using libproc
 to access process information from /proc need these to compile.

=== user/sudo/debian/control ===
Source: sudo
Section: admin
Priority: optional
Maintainer: Bdale Garbee <bdale@gag.com>
Build-Depends: debhelper (>= 2.1.6), libpam0g-dev
Standards-Version: 3.6.1.0

Package: sudo
Architecture: any
Depends: ${shlibs:Depends}, libpam-modules
Description: Provide limited super user privileges to specific users
 Sudo is a program designed to allow a sysadmin to give limited root
 privileges to users and log root activity.  The basic philosophy is to give
 as few privileges as possible but still allow people to get their work done.

=== user/armsd/armsd-0.9.0/debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_INSTALL_DIRS_armsd =		\
	/usr/sbin

=== user/expect/expect-5.43.0/debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpatch/dpatch.make

DEB_HOST_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g -D_BSD_SOURCE

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp

	[ ! -f Makefile ] || $(MAKE) distclean

	rm -f config.guess config.sub
	rm -f *.a *.o
	rm -rf shared

	dh_clean

config.status: configure patch
	dh_testdir

ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	autoconf2.13
	patch -Np1 -i debian/patches/static-names.diff

	CFLAGS="$(CFLAGS) -ansi -D_SVID_SOURCE -D_POSIX_SOURCE -D_REENTRANT" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=/usr/share/man --includedir=/usr/include/tcl8.4 --with-tcl=/usr/lib/tcl8.4 --with-tk=/usr/lib/tk8.4 --with-tclinclude=/usr/include/tcl8.4/tcl-private --with-tkinclude=/usr/include/tcl8.4/tk-private --enable-shared --enable-threads

build: build-stamp
build-stamp: config.status
	dh_testdir

	$(MAKE) SONAME=libexpect.so.5.43.0
	$(MAKE) test

	touch build-stamp

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) INSTALL_ROOT=$(CURDIR)/debian/tmp install

	# Renaming expect scripts
	set -e; for SCRIPT in debian/tmp/usr/bin/*; \
	do \
		if [ "`basename $$SCRIPT`" != "expect" ] && [ "`basename $$SCRIPT`" != "expectk" ]; \
		then \
			mv $$SCRIPT `dirname $$SCRIPT`/expect_`basename $$SCRIPT`; \
		fi; \
	done

	set -e; for MANPAGE in debian/tmp/usr/share/man/man1/*; \
	do \
		if [ "`basename $$MANPAGE`" != "expect.1" ] && [ "`basename $$MANPAGE`" != "expectk.1" ]; \
		then \
			mv $$MANPAGE `dirname $$MANPAGE`/expect_`basename $$MANPAGE`; \
		fi; \
	done

	# Fixing library name
	mv debian/tmp/usr/lib/libexpect5.43.so debian/tmp/usr/lib/libexpect.so.5.43.0
	ln -s libexpect.so.5.43.0 debian/tmp/usr/lib/libexpect.so.5.43
	ln -s libexpect.so.5.43.0 debian/tmp/usr/lib/libexpect.so.5
	ln -s libexpect.so.5.43.0 debian/tmp/usr/lib/libexpect.so

	mv debian/tmp/usr/lib/libexpect5.43.a debian/tmp/usr/lib/libexpect.a

	# Fixing permissions
	chmod 0644 debian/tmp/usr/lib/expect*/pkgIndex.tcl

binary: binary-arch

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs HISTORY
	dh_installdocs
	dh_installexamples
	dh_install --fail-missing --sourcedir=debian/tmp
	dh_lintian
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep:

.PHONY: clean build install binary binary-arch binary-indep

=== user/fbgrab/debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

#export DH_VERBOSE=1

CFLAGS = -Wall -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
        CFLAGS += -O0
else
        CFLAGS += -O2
endif

build: build-stamp
build-stamp:
	dh_testdir
	CFLAGS="$(CFLAGS)" $(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean
	$(MAKE) install DESTDIR=$(CURDIR)/debian/fbgrab

binary-indep: build install
# We have nothing to do by default.

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== user/i2c-tools/i2c-tools-3.0.2/debian/rules ===
#!/usr/bin/make -f

# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_SYSTEM ?= $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
        CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
        INSTALL_PROGRAM += -s
endif


DEB_PYTHON_SYSTEM=pysupport
PYVERS = $(shell pyversions -v -r debian/control)

clean:
	dh_testdir
	dh_testroot
	
	$(MAKE) clean

	rm -rf py-smbus/build
	rm -f *-stamp*
	dh_clean 


# Build everything that goes into the Debian package.  Use recursive make
# invocations to build all of the interesting components.
build: build-stamp-binaries $(PYVERS:%=build-stamp-python-%)

build-stamp-binaries:
	dh_testdir
	$(MAKE) CFLAGS="$(CFLAGS)"
	touch $@

build-stamp-python-%:
	dh_testdir
	cd py-smbus && \
		CFLAGS="$(CFLAGS) -I../include" python$* setup.py build
	touch $@

install: install-stamp-binaries $(PYVERS:%=install-stamp-python-%)

install-stamp-binaries: build-stamp-binaries
	dh_testdir 
	dh_testroot 
	dh_clean -k 
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp prefix=/usr

	dh_install --sourcedir=debian/tmp

	touch $@

install-stamp-python-%: build-stamp-python-%
	dh_testdir 
	dh_testroot 
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp prefix=/usr
	cd py-smbus && \
		CFLAGS="$(CFLAGS) -I../include" python$* setup.py install --root=$(CURDIR)/debian/python-smbus

	touch $@


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir 
	dh_testroot
	dh_installchangelogs -i CHANGES
	dh_installdocs -i
	dh_installman -i
	dh_link -i
	dh_strip -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependant files that arn't kernel modules here.
binary-arch: build install
	dh_testdir 
	dh_testroot
	dh_installchangelogs -a CHANGES
	dh_installdocs -a
	dh_installman -a
	dh_installudev -a
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_perl -a
	dh_makeshlibs -a
	dh_pysupport -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-arch binary-indep
.PHONY: clean build install binary-indep binary-arch binary

=== user/openssh/openssh-4.3p2/debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
OPTFLAGS := -O2
else
OPTFLAGS := -O0
endif

DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)

# Take account of old dpkg-architecture output.
ifeq ($(DEB_HOST_ARCH_OS),)
  DEB_HOST_ARCH_OS := $(subst -gnu,,$(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM))
  ifeq ($(DEB_HOST_ARCH_OS),gnu)
    DEB_HOST_ARCH_OS := hurd
  endif
endif

ifeq (,$(wildcard /usr/bin/po2debconf))
PO2DEBCONF := no
MINDEBCONFVER := 0.5
else
PO2DEBCONF := yes
MINDEBCONFVER := 1.2.0
endif

# We need a new libpam-runtime for sane PAM handling
# (http://lists.debian.org/debian-devel-announce-0308/msg00012.html).
# Unfortunately it's hard to detect during the build whether this is
# appropriate, so woody-compatibility is a pain. I've had to punt and go for
# a DEB_BUILD_SSH_WOODY environment variable. We can remove this hack once
# we no longer care about woody.
ifeq ($(DEB_BUILD_SSH_WOODY),)
PAMSUBST := no
PAMDEP := libpam-runtime (>= 0.76-14)
else
PAMSUBST := yes
PAMDEP := libpam-runtime
endif

# The Hurd needs libcrypt for res_query et al.
ifeq ($(DEB_HOST_ARCH_OS),hurd)
FORCE_LIBS := LIBS=-lcrypt
endif

# SELinux support?
ifeq ($(DEB_HOST_ARCH_OS),linux)
SELINUX := --with-selinux
endif

# Change the version string to include the Debian version
SSH_EXTRAVERSION := Debian-$(shell dpkg-parsechangelog | sed -n -e '/^Version:/s/Version: //p' | sed -e 's/[^-]*-//')

build: build-deb build-udeb

build-deb: build-deb-stamp
build-deb-stamp:
	dh_testdir
	mkdir -p build-deb
	cd build-deb && $(FORCE_LIBS) ../configure --prefix=/usr --sysconfdir=/etc/ssh --libexecdir=/usr/lib/openssh --mandir=/usr/share/man --with-tcp-wrappers --with-xauth=/usr/bin/X11/xauth --with-default-path=/usr/local/bin:/usr/bin:/bin:/usr/bin/X11:/usr/games --with-superuser-path=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/bin/X11 --with-pam --with-4in6 --with-privsep-path=/var/run/sshd --without-rand-helper --with-libedit --with-kerberos5=/usr $(SELINUX)

ifeq ($(DEB_HOST_ARCH_OS),linux)
	# Some 2.2 kernels have trouble with setres[ug]id() (bug #239999).
	perl -pi -e 's/.*#undef (BROKEN_SETRES[UG]ID).*/#define $$1 1/' build-deb/config.h
endif
	# Debian's /var/log/btmp has inappropriate permissions.
	perl -pi -e 's,.*#define USE_BTMP .*,/* #undef USE_BTMP */,' build-deb/config.h

	$(MAKE) -C build-deb -j 2 ASKPASS_PROGRAM='/usr/bin/ssh-askpass' CFLAGS='$(OPTFLAGS) -g -Wall -Wpointer-arith -Wuninitialized -Wsign-compare -Wno-pointer-sign -std=gnu99 -DLOGIN_PROGRAM=\"/bin/login\" -DLOGIN_NO_ENDOPT -DSSHD_PAM_SERVICE=\"ssh\" -DSSH_EXTRAVERSION="\" $(SSH_EXTRAVERSION)\""'
	# Support building on Debian 3.0 (with GNOME 1.4) and later.
	if [ -f /usr/include/libgnomeui-2.0/gnome.h ]; then \
		$(MAKE) -C contrib gnome-ssh-askpass2 CC='gcc $(OPTFLAGS) -g -Wall'; \
	elif [ -f /usr/include/gnome-1.0/gnome.h ]; then \
		$(MAKE) -C contrib gnome-ssh-askpass1 CC='gcc $(OPTFLAGS) -g -Wall'; \
	fi

	touch build-deb-stamp

build-udeb: build-udeb-stamp
build-udeb-stamp:
	dh_testdir
	mkdir -p build-udeb
	cd build-udeb && $(FORCE_LIBS) ../configure --prefix=/usr --sysconfdir=/etc/ssh --libexecdir=/usr/lib/openssh --without-xauth --with-default-path=/usr/local/bin:/usr/bin:/bin --with-superuser-path=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin --with-4in6 --with-privsep-path=/var/run/sshd --without-rand-helper
	# Debian's /var/log/btmp has inappropriate permissions.
	perl -pi -e 's,.*#define USE_BTMP .*,/* #undef USE_BTMP */,' build-udeb/config.h
	# Avoid libnsl linkage. Ugh.
	perl -pi -e 's/ +-lnsl//' build-udeb/config.status
	cd build-udeb && ./config.status
	$(MAKE) -C build-udeb -j 2 ASKPASS_PROGRAM='/usr/bin/ssh-askpass' CFLAGS='-Os -g -Wall -Wpointer-arith -Wuninitialized -Wsign-compare -Wno-pointer-sign -std=gnu99 -DSSH_EXTRAVERSION="\" $(SSH_EXTRAVERSION)\""' ssh scp sftp sshd ssh-keygen
	touch build-udeb-stamp

clean:
	dh_testdir
	rm -f build-deb-stamp build-udeb-stamp
	rm -rf build-deb build-udeb
	-$(MAKE) -C contrib clean
	rm -f config.log
ifeq ($(PO2DEBCONF),yes)
	# Hack for woody compatibility. This makes sure that the
	# debian/templates file shipped in the source package doesn't
	# specify encodings, which woody's debconf can't handle. If building
	# on a system with po-debconf installed (conveniently debhelper (>=
	# 4.1.16) depends on it), the binary-arch target will generate a
	# better version for sarge.
	echo '1 popular' > debian/po/output
	po2debconf debian/openssh-server.templates.master > debian/openssh-server.templates
	rm -f debian/po/output
endif
ifeq ($(PAMSUBST),yes)
	if [ -f debian/ssh.pam.new-style ]; then \
		mv debian/ssh.pam.new-style debian/ssh.pam; \
	fi
endif
	rm -f debian/ssh-askpass-gnome.png
	dh_clean

install: DH_OPTIONS=-a
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) -C build-deb DESTDIR=`pwd`/debian/openssh-client install-nokeys

	rm -f debian/openssh-client/etc/ssh/sshd_config
	#Temporary hack: remove /usr/share/Ssh.bin, since we have no smartcard support anyway.
	rm -f debian/openssh-client/usr/share/Ssh.bin

	# Split off the server.
	mv debian/openssh-client/usr/sbin/sshd debian/openssh-server/usr/sbin/
	mv debian/openssh-client/usr/lib/openssh/sftp-server debian/openssh-server/usr/lib/openssh/
	mv debian/openssh-client/usr/share/man/man5/sshd_config.5 debian/openssh-server/usr/share/man/man5/
	mv debian/openssh-client/usr/share/man/man8/sshd.8 debian/openssh-server/usr/share/man/man8/
	mv debian/openssh-client/usr/share/man/man8/sftp-server.8 debian/openssh-server/usr/share/man/man8/
	rmdir debian/openssh-client/usr/sbin debian/openssh-client/var/run/sshd

	install -m 755 contrib/ssh-copy-id debian/openssh-client/usr/bin/ssh-copy-id
	install -m 644 -c contrib/ssh-copy-id.1 debian/openssh-client/usr/share/man/man1/ssh-copy-id.1
	install -m 644 debian/moduli.5 debian/openssh-client/usr/share/man/man5/moduli.5

	if [ -f contrib/gnome-ssh-askpass2 ]; then \
		install -s -o root -g root -m 755 contrib/gnome-ssh-askpass2 debian/ssh-askpass-gnome/usr/lib/openssh/gnome-ssh-askpass; \
	elif [ -f contrib/gnome-ssh-askpass1 ]; then \
		install -s -o root -g root -m 755 contrib/gnome-ssh-askpass1 debian/ssh-askpass-gnome/usr/lib/openssh/gnome-ssh-askpass; \
	fi
	install -m 644 debian/gnome-ssh-askpass.1 debian/ssh-askpass-gnome/usr/share/man/man1/gnome-ssh-askpass.1
	uudecode -o debian/ssh-askpass-gnome/usr/share/pixmaps/ssh-askpass-gnome.png debian/ssh-askpass-gnome.png.uue

	install -m 755 debian/ssh-argv0 debian/openssh-client/usr/bin/ssh-argv0
	install -m 644 debian/ssh-argv0.1 debian/openssh-client/usr/share/man/man1/ssh-argv0.1

	install -o root -g root debian/openssh-server.init debian/openssh-server/etc/init.d/ssh
	install -o root -g root -m 644 debian/openssh-server.default debian/openssh-server/etc/default/ssh

	install -m 755 build-udeb/ssh debian/openssh-client-udeb/usr/bin/ssh
	install -m 755 build-udeb/scp debian/openssh-client-udeb/usr/bin/scp
	install -m 755 build-udeb/sftp debian/openssh-client-udeb/usr/bin/sftp
	install -m 755 build-udeb/sshd debian/openssh-server-udeb/usr/sbin/sshd
	install -m 755 build-udeb/ssh-keygen debian/openssh-server-udeb/usr/bin/ssh-keygen

	# Remove version control tags to avoid unnecessary conffile
	# resolution steps for administrators.
	sed -i '/\$$OpenBSD:/d' \
		debian/openssh-client/etc/ssh/moduli \
		debian/openssh-client/etc/ssh/ssh_config

# Build architecture-independent files here.
binary-indep: binary-ssh binary-ssh-krb5

# Build architecture-dependent files here.
binary-arch: binary-openssh-client binary-openssh-server
binary-arch: binary-ssh-askpass-gnome
binary-arch: binary-openssh-client-udeb binary-openssh-server-udeb

binary-openssh-client: DH_OPTIONS=-popenssh-client
binary-openssh-client: build install
	dh_testdir
	dh_testroot

=== user/pcmciautils/pcmciautils-014/debian/rules ===
#! /usr/bin/make -f

export DH_OPTIONS

tmp := $(CURDIR)/debian/pcmciautils
tmp_udeb := $(CURDIR)/debian/pcmciautils-udeb

build:
	dh_testdir
	$(MAKE) UDEV=true V=true

clean:
	dh_testdir
	$(MAKE) clean UDEV=true V=true
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install UDEV=true DESTDIR=$(tmp) V=true \
		pcmciaconfdir=\$${prefix}/usr/lib/pcmciautils
	mv $(tmp)/etc/udev/rules.d/60-pcmcia.rules $(tmp)/etc/udev/pcmcia.rules
	mv $(tmp)/sbin/pcmcia-* $(tmp)/lib/udev/

	$(MAKE) install-tools install-udev install-config \
		install-socket-tools UDEV=true DESTDIR=$(tmp_udeb) V=true
	mv $(tmp_udeb)/etc/udev/rules.d/60-pcmcia.rules \
		$(tmp_udeb)/etc/udev/rules.d/85-pcmcia.rules
	mv $(tmp_udeb)/sbin/pcmcia-* $(tmp_udeb)/lib/udev/

binary-arch: DH_OPTIONS=-a
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs
	dh_installinit -ppcmciautils -r --no-start -- \
		start 40 S .
	cp -a $(tmp)/etc/init.d/pcmciautils $(tmp_udeb)/etc/init.d/pcmciautils
	# install /etc/default file as well
	dh_installinit -ppcmciautils-udeb --name=pcmciautils
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep:

binary: binary-arch binary-indep

.PHONY: build clean install binary-arch binary-indep binary

=== user/sudo/debian/rules ===
#!/usr/bin/make -f

# Comment this to turn off verbose mode.
export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=2

CFLAGS = -O2 -Wall -Wno-comment
ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
CFLAGS += -g
endif
export CFLAGS

build: build-stamp
build-stamp:
	dh_testdir

	./configure --prefix=/usr -v \
		--with-all-insults \
		--with-exempt=sudo --with-pam --with-fqdn \
		--with-logging=syslog --with-logfac=authpriv \
		--with-env-editor --with-editor=/usr/bin/editor \
		--with-timeout=15 --with-password-timeout=0 \
		--disable-root-mailer --disable-setresuid \
		--with-sendmail=/usr/sbin/sendmail \
		--with-secure-path="/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/X11R6/bin"

	-$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	-$(MAKE) distclean || exit 0

	-test -r /usr/share/misc/config.sub && \
		cp -f /usr/share/misc/config.sub config.sub
	-test -r /usr/share/misc/config.guess && \
		cp -f /usr/share/misc/config.guess config.guess

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	install -o root -g root -m 4755 -s sudo debian/sudo/usr/bin/sudo
	ln -sf sudo debian/sudo/usr/bin/sudoedit
	install -o root -g root -m 0755 -s visudo debian/sudo/usr/sbin/visudo
	install -o root -g root -m 0644 sudo.man \
		debian/sudo/usr/share/man/man8/sudo.8 
	install -o root -g root -m 0644 visudo.man \
		debian/sudo/usr/share/man/man8/visudo.8 
	install -o root -g root -m 0644 sudoers.man \
		debian/sudo/usr/share/man/man5/sudoers.5 
	install -o root -g root -m 0644 sample.sudoers \
		debian/sudo/usr/share/doc/sudo/examples/sudoers
	install -o root -g root -m 0644 debian/sudo.pam \
		debian/sudo/etc/pam.d/sudo

	install -o root -g root -m 0644 debian/sudo.lintian \
		debian/sudo/usr/share/lintian/overrides/sudo

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs debian/OPTIONS BUGS RUNSON UPGRADE PORTING \
		TODO HISTORY README TROUBLESHOOTING
	dh_installexamples
	dh_installmenu
	dh_installinit
	dh_installcron
	dh_installmanpages fnmatch.3
	dh_installinfo
	dh_installchangelogs CHANGES
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	chown root.root debian/sudo/usr/bin/sudo
	chmod 4755 debian/sudo/usr/bin/sudo
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== user/fbgrab/debian/watch ===
version=3
opts=dversionmangle=s/\.0$// \
http://hem.bredband.net/gmogmo/fbgrab/fbgrab-(.*)\.tar\.gz
